#include "array-1-client.h"

int flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(64, _flick_abort0);
  flick_fluke_encode_new_chunk(64);
  flick_fluke_encode_bcopy(0, *_data, 64);
  flick_fluke_encode_end_chunk(64);
  flick_fluke_encode_end_glob(64);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(64);
  flick_fluke_check_span(64, _flick_abort3);
  flick_fluke_decode_new_chunk(64);
  flick_fluke_decode_bcopy(0, *_data, 64);
  flick_fluke_decode_end_chunk(64);
  flick_fluke_decode_end_glob(64);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(128, _flick_abort6);
  flick_fluke_encode_new_chunk(128);
  flick_fluke_encode_bcopy(0, *_data, 128);
  flick_fluke_encode_end_chunk(128);
  flick_fluke_encode_end_glob(128);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(128);
  flick_fluke_check_span(128, _flick_abort9);
  flick_fluke_decode_new_chunk(128);
  flick_fluke_decode_bcopy(0, *_data, 128);
  flick_fluke_decode_end_chunk(128);
  flick_fluke_decode_end_glob(128);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(256, _flick_abort12);
  flick_fluke_encode_new_chunk(256);
  flick_fluke_encode_bcopy(0, *_data, 256);
  flick_fluke_encode_end_chunk(256);
  flick_fluke_encode_end_glob(256);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(256);
  flick_fluke_check_span(256, _flick_abort15);
  flick_fluke_decode_new_chunk(256);
  flick_fluke_decode_bcopy(0, *_data, 256);
  flick_fluke_decode_end_chunk(256);
  flick_fluke_decode_end_glob(256);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(512, _flick_abort18);
  flick_fluke_encode_new_chunk(512);
  flick_fluke_encode_bcopy(0, *_data, 512);
  flick_fluke_encode_end_chunk(512);
  flick_fluke_encode_end_glob(512);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(512);
  flick_fluke_check_span(512, _flick_abort21);
  flick_fluke_decode_new_chunk(512);
  flick_fluke_decode_bcopy(0, *_data, 512);
  flick_fluke_decode_end_chunk(512);
  flick_fluke_decode_end_glob(512);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(1024, _flick_abort24);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 1024);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(1024);
  flick_fluke_check_span(1024, _flick_abort27);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 1024);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(2048, _flick_abort30);
  flick_fluke_encode_new_chunk(2048);
  flick_fluke_encode_bcopy(0, *_data, 2048);
  flick_fluke_encode_end_chunk(2048);
  flick_fluke_encode_end_glob(2048);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(2048);
  flick_fluke_check_span(2048, _flick_abort33);
  flick_fluke_decode_new_chunk(2048);
  flick_fluke_decode_bcopy(0, *_data, 2048);
  flick_fluke_decode_end_chunk(2048);
  flick_fluke_decode_end_glob(2048);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4096, _flick_abort36);
  flick_fluke_encode_new_chunk(4096);
  flick_fluke_encode_bcopy(0, *_data, 4096);
  flick_fluke_encode_end_chunk(4096);
  flick_fluke_encode_end_glob(4096);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4096);
  flick_fluke_check_span(4096, _flick_abort39);
  flick_fluke_decode_new_chunk(4096);
  flick_fluke_decode_bcopy(0, *_data, 4096);
  flick_fluke_decode_end_chunk(4096);
  flick_fluke_decode_end_glob(4096);
  return 0;
  {
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8192, _flick_abort42);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_check_span(8192, _flick_abort45);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16384, _flick_abort48);
  flick_fluke_encode_new_chunk(16384);
  flick_fluke_encode_bcopy(0, *_data, 16384);
  flick_fluke_encode_end_chunk(16384);
  flick_fluke_encode_end_glob(16384);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16384);
  flick_fluke_check_span(16384, _flick_abort51);
  flick_fluke_decode_new_chunk(16384);
  flick_fluke_decode_bcopy(0, *_data, 16384);
  flick_fluke_decode_end_chunk(16384);
  flick_fluke_decode_end_glob(16384);
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(32768, _flick_abort54);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 32768);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(32768);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(32768);
  flick_fluke_check_span(32768, _flick_abort57);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 32768);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(32768);
  return 0;
  {
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(65536, _flick_abort60);
  flick_fluke_encode_new_chunk(65536);
  flick_fluke_encode_bcopy(0, *_data, 65536);
  flick_fluke_encode_end_chunk(65536);
  flick_fluke_encode_end_glob(65536);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(65536);
  flick_fluke_check_span(65536, _flick_abort63);
  flick_fluke_decode_new_chunk(65536);
  flick_fluke_decode_bcopy(0, *_data, 65536);
  flick_fluke_decode_end_chunk(65536);
  flick_fluke_decode_end_glob(65536);
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int *op64_1234(data64 arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(68, _flick_abort67);
      flick_fluke_encode_new_chunk(68);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 64);
      flick_fluke_encode_end_chunk(68);
      flick_fluke_encode_end_glob(68);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort67);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort67);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t1_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t1_storage);
            flick_fluke_check_span(4, _flick_abort77);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort77:
              goto _flick_abort67;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort78);
            break;
            {
            _flick_abort78:
              goto _flick_abort67;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort79:
              goto _flick_abort67;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort67);
  return _return;
  {
  _flick_abort67:
    flick_sun_client_error(fluke, fluke, _flick_abort66);
  _flick_abort66:
    goto _flick_reaper;
  }
}

int *op128_1234(data128 arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(132, _flick_abort81);
      flick_fluke_encode_new_chunk(132);
      flick_fluke_encode_unsigned32(0, 2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 128);
      flick_fluke_encode_end_chunk(132);
      flick_fluke_encode_end_glob(132);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort81);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t3_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t3_storage);
            flick_fluke_check_span(4, _flick_abort91);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort91:
              goto _flick_abort81;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort92);
            break;
            {
            _flick_abort92:
              goto _flick_abort81;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort93:
              goto _flick_abort81;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
  return _return;
  {
  _flick_abort81:
    flick_sun_client_error(fluke, fluke, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
}

int *op256_1234(data256 arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(260, _flick_abort95);
      flick_fluke_encode_new_chunk(260);
      flick_fluke_encode_unsigned32(0, 3, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 256);
      flick_fluke_encode_end_chunk(260);
      flick_fluke_encode_end_glob(260);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort95);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort95);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t5_storage);
            flick_fluke_check_span(4, _flick_abort105);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort105:
              goto _flick_abort95;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort106);
            break;
            {
            _flick_abort106:
              goto _flick_abort95;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort107:
              goto _flick_abort95;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
  return _return;
  {
  _flick_abort95:
    flick_sun_client_error(fluke, fluke, _flick_abort94);
  _flick_abort94:
    goto _flick_reaper;
  }
}

int *op512_1234(data512 arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(516, _flick_abort109);
      flick_fluke_encode_new_chunk(516);
      flick_fluke_encode_unsigned32(0, 4, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 512);
      flick_fluke_encode_end_chunk(516);
      flick_fluke_encode_end_glob(516);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort109);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort109);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t7_storage);
            flick_fluke_check_span(4, _flick_abort119);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort119:
              goto _flick_abort109;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort120);
            break;
            {
            _flick_abort120:
              goto _flick_abort109;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort121);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort121:
              goto _flick_abort109;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort109);
  return _return;
  {
  _flick_abort109:
    flick_sun_client_error(fluke, fluke, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
}

int *op1k_1234(data1K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(1028, _flick_abort123);
      flick_fluke_encode_new_chunk(1028);
      flick_fluke_encode_unsigned32(0, 5, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 1024);
      flick_fluke_encode_end_chunk(1028);
      flick_fluke_encode_end_glob(1028);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort123);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t9_storage);
            flick_fluke_check_span(4, _flick_abort133);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort133:
              goto _flick_abort123;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort134);
            break;
            {
            _flick_abort134:
              goto _flick_abort123;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort135:
              goto _flick_abort123;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
  return _return;
  {
  _flick_abort123:
    flick_sun_client_error(fluke, fluke, _flick_abort122);
  _flick_abort122:
    goto _flick_reaper;
  }
}

int *op2k_1234(data2K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(2052, _flick_abort137);
      flick_fluke_encode_new_chunk(2052);
      flick_fluke_encode_unsigned32(0, 6, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 2048);
      flick_fluke_encode_end_chunk(2052);
      flick_fluke_encode_end_glob(2052);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort137);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t11_storage);
            flick_fluke_check_span(4, _flick_abort147);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort147:
              goto _flick_abort137;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort148);
            break;
            {
            _flick_abort148:
              goto _flick_abort137;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort149:
              goto _flick_abort137;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort137);
  return _return;
  {
  _flick_abort137:
    flick_sun_client_error(fluke, fluke, _flick_abort136);
  _flick_abort136:
    goto _flick_reaper;
  }
}

int *op4k_1234(data4K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4100, _flick_abort151);
      flick_fluke_encode_new_chunk(4100);
      flick_fluke_encode_unsigned32(0, 7, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, arg, 4096);
      flick_fluke_encode_end_chunk(4100);
      flick_fluke_encode_end_glob(4100);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort151);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort151);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t13_storage);
            flick_fluke_check_span(4, _flick_abort161);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort161:
              goto _flick_abort151;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort162);
            break;
            {
            _flick_abort162:
              goto _flick_abort151;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort163:
              goto _flick_abort151;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort151);
  return _return;
  {
  _flick_abort151:
    flick_sun_client_error(fluke, fluke, _flick_abort150);
  _flick_abort150:
    goto _flick_reaper;
  }
}

int *op8k_1234(data8K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort165);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, 8, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort165);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, arg, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort165);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort165);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t15_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t15_storage);
            flick_fluke_check_span(4, _flick_abort175);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort175:
              goto _flick_abort165;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort176);
            break;
            {
            _flick_abort176:
              goto _flick_abort165;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort177);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort177:
              goto _flick_abort165;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort165);
  return _return;
  {
  _flick_abort165:
    flick_sun_client_error(fluke, fluke, _flick_abort164);
  _flick_abort164:
    goto _flick_reaper;
  }
}

int *op16k_1234(data16K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort179);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, 9, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(16384, _flick_abort179);
      flick_fluke_encode_new_chunk(16384);
      flick_fluke_encode_bcopy(0, arg, 16384);
      flick_fluke_encode_end_chunk(16384);
      flick_fluke_encode_end_glob(16384);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort179);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort179);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t17_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t17_storage);
            flick_fluke_check_span(4, _flick_abort189);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort189:
              goto _flick_abort179;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort190);
            break;
            {
            _flick_abort190:
              goto _flick_abort179;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort191:
              goto _flick_abort179;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort179);
  return _return;
  {
  _flick_abort179:
    flick_sun_client_error(fluke, fluke, _flick_abort178);
  _flick_abort178:
    goto _flick_reaper;
  }
}

int *op32k_1234(data32K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort193);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, 10, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(32768, _flick_abort193);
      flick_fluke_encode_new_chunk(32768);
      flick_fluke_encode_bcopy(0, arg, 32768);
      flick_fluke_encode_end_chunk(32768);
      flick_fluke_encode_end_glob(32768);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort193);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t19_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t19_storage);
            flick_fluke_check_span(4, _flick_abort203);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort203:
              goto _flick_abort193;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort204);
            break;
            {
            _flick_abort204:
              goto _flick_abort193;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort205:
              goto _flick_abort193;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort193);
  return _return;
  {
  _flick_abort193:
    flick_sun_client_error(fluke, fluke, _flick_abort192);
  _flick_abort192:
    goto _flick_reaper;
  }
}

int *op64k_1234(data64K arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort207);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, 11, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(65536, _flick_abort207);
      flick_fluke_encode_new_chunk(65536);
      flick_fluke_encode_bcopy(0, arg, 65536);
      flick_fluke_encode_end_chunk(65536);
      flick_fluke_encode_end_glob(65536);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort207);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort207);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t21_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t21_storage);
            flick_fluke_check_span(4, _flick_abort217);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort217:
              goto _flick_abort207;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort218);
            break;
            {
            _flick_abort218:
              goto _flick_abort207;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort219);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort219:
              goto _flick_abort207;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort207);
  return _return;
  {
  _flick_abort207:
    flick_sun_client_error(fluke, fluke, _flick_abort206);
  _flick_abort206:
    goto _flick_reaper;
  }
}

