#include "structplain_-client.h"

int flick_marshal_stub_coord(flick_marshal_stream_t _stream, const coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->row, oskit_s16_t );
  flick_fluke_encode_signed16(2, _data->col, oskit_s16_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->row, oskit_s16_t );
  flick_fluke_decode_signed16(2, _data->col, oskit_s16_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s16_t geom_dist(mom_ref_t _obj, const coord *a, const coord *b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort3);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_geom_dist, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, a->row, oskit_s16_t );
      flick_fluke_encode_signed16(6, a->col, oskit_s16_t );
      flick_fluke_encode_signed16(8, b->row, oskit_s16_t );
      flick_fluke_encode_signed16(10, b->col, oskit_s16_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort3);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort9);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort9:
              goto _flick_abort3;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort10);
            break;
            {
            _flick_abort10:
              goto _flick_abort3;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort11);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort11:
              goto _flick_abort3;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
  return _return;
  {
  _flick_abort3:
    flick_mom_client_error(fluke, fluke, _flick_abort2);
  _flick_abort2:
    goto _flick_reaper;
  }
}

