#include "ttcp-client.h"

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort0);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->xx, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->yy, oskit_s32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort1);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->xx, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->yy, oskit_s32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, const b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(16, _flick_abort2);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->x.xx, oskit_s32_t );
  flick_fluke_encode_signed32(4, _data->x.yy, oskit_s32_t );
  flick_fluke_encode_signed32(8, _data->y.xx, oskit_s32_t );
  flick_fluke_encode_signed32(12, _data->y.yy, oskit_s32_t );
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(16);
  flick_fluke_check_span(16, _flick_abort3);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->x.xx, oskit_s32_t );
  flick_fluke_decode_signed32(4, _data->x.yy, oskit_s32_t );
  flick_fluke_decode_signed32(8, _data->y.xx, oskit_s32_t );
  flick_fluke_decode_signed32(12, _data->y.yy, oskit_s32_t );
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  oskit_u32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->_length, _flick_abort4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, oskit_s32_t );
      flick_fluke_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, oskit_s32_t );
      flick_fluke_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, oskit_s32_t );
      flick_fluke_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, oskit_s32_t );
      flick_fluke_encode_end_chunk(16);
      continue;
    }
  flick_fluke_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  oskit_u32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort10);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->_length);
  {
    b *_t_alloc_ptr;

    _t_alloc_ptr = (b *)(mom_flick_alloc(_data->_length * sizeof(b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_check_span(_data->_length * 16, _flick_abort14);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, oskit_s32_t );
      flick_fluke_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, oskit_s32_t );
      flick_fluke_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, oskit_s32_t );
      flick_fluke_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, oskit_s32_t );
      flick_fluke_decode_end_chunk(16);
      continue;
    }
  flick_fluke_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort14:
    mom_flick_free(_data->_buffer);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort17);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length, _flick_abort17);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort20);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_check_span(4 * _data->_length * 1, _flick_abort20);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort24);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->baloney, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort25);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->baloney, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s32_t ttcp_inttest(mom_ref_t _obj, const intBuffer *data, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort27);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ttcp_inttest, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, data->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * data->_length, _flick_abort27);
      flick_fluke_encode_new_chunk(4 * data->_length);
      flick_fluke_encode_bcopy(0, data->_buffer, 4 * data->_length);
      flick_fluke_encode_end_chunk(4 * data->_length);
      flick_fluke_encode_end_glob(4 * data->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort27);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort27);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort42);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort42:
              goto _flick_abort27;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort43);
            break;
            {
            _flick_abort43:
              goto _flick_abort27;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_useless:
                {
                  {
                    useless *_t_alloc_ptr;

                    _t_alloc_ptr = (useless *)(mom_flick_alloc(sizeof(useless )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, ((useless *)(_ev->_except))->baloney, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort48:
                    goto _flick_abort44;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort44);
                  break;
                }
              }
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort44:
              goto _flick_abort27;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
  return _return;
  {
  _flick_abort27:
    flick_mom_client_error(fluke, fluke, _flick_abort26);
  _flick_abort26:
    goto _flick_reaper;
  }
}

oskit_s32_t ttcp_structtest(mom_ref_t _obj, const structBuffer *data, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      oskit_u32_t _t3_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort51);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_ttcp_structtest, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, data->_length, oskit_u32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(16 * data->_length, _flick_abort51);
      for (_t3_array_iter = 0; _t3_array_iter < data->_length; _t3_array_iter++)
        {
          flick_fluke_encode_new_chunk(16);
          flick_fluke_encode_signed32(0, data->_buffer[_t3_array_iter].x.xx, oskit_s32_t );
          flick_fluke_encode_signed32(4, data->_buffer[_t3_array_iter].x.yy, oskit_s32_t );
          flick_fluke_encode_signed32(8, data->_buffer[_t3_array_iter].y.xx, oskit_s32_t );
          flick_fluke_encode_signed32(12, data->_buffer[_t3_array_iter].y.yy, oskit_s32_t );
          flick_fluke_encode_end_chunk(16);
          continue;
        }
      flick_fluke_encode_end_glob(16 * data->_length);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort51);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort51);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort72);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort72:
              goto _flick_abort51;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort73);
            break;
            {
            _flick_abort73:
              goto _flick_abort51;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_useless:
                {
                  {
                    useless *_t_alloc_ptr;

                    _t_alloc_ptr = (useless *)(mom_flick_alloc(sizeof(useless )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, ((useless *)(_ev->_except))->baloney, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort78:
                    goto _flick_abort74;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort74);
                  break;
                }
              }
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort74:
              goto _flick_abort51;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort51);
  return _return;
  {
  _flick_abort51:
    flick_mom_client_error(fluke, fluke, _flick_abort50);
  _flick_abort50:
    goto _flick_reaper;
  }
}

