#ifndef _primtypes_server_h_
#define _primtypes_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "primtypes-client.h"
#include <flick/pres/corbaxx.h>

class POA_ex1 ;


typedef POA_ex1 *POA_ex1_ptr;

class POA_ex1 : public virtual PortableServer::ServantBase {

protected:
  POA_ex1();

public:
  POA_ex1(const POA_ex1 &rhs);
  virtual ~POA_ex1();
  ex1 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long m1(/* POA_ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev) = 0;
  virtual ex1_ptr mtypes(/* POA_ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long l1(/* POA_ex1 *this, */ CORBA::Environment &_ev) = 0;
  virtual void l1(/* POA_ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex1_tie : public POA_ex1 {

  public:
    POA_ex1_tie(T &t);
    POA_ex1_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex1_tie(T *t, CORBA::Boolean release = 1);
    POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex1_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex1_tie(const POA_ex1_tie &c);
    void operator=(const POA_ex1_tie &c);

  public:
    CORBA::Long m1(/* POA_ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev);
    ex1_ptr mtypes(/* POA_ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
    CORBA::Long l1(/* POA_ex1 *this, */ CORBA::Environment &_ev);
    void l1(/* POA_ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, ex1_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex1_ptr *_data);

class POA_ex2 ;


typedef POA_ex2 *POA_ex2_ptr;

class POA_ex2 : public virtual PortableServer::ServantBase {

protected:
  POA_ex2();

public:
  POA_ex2(const POA_ex2 &rhs);
  virtual ~POA_ex2();
  ex2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long m2(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev) = 0;
  virtual void mv(/* POA_ex2 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Long l2(/* POA_ex2 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Long m1(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev) = 0;
  virtual ex1_ptr mtypes(/* POA_ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long l1(/* POA_ex2 *this, */ CORBA::Environment &_ev) = 0;
  virtual void l1(/* POA_ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex2_tie : public POA_ex2 {

  public:
    POA_ex2_tie(T &t);
    POA_ex2_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex2_tie(T *t, CORBA::Boolean release = 1);
    POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex2_tie(const POA_ex2_tie &c);
    void operator=(const POA_ex2_tie &c);

  public:
    CORBA::Long m2(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev);
    void mv(/* POA_ex2 *this, */ CORBA::Environment &_ev);
    CORBA::Long l2(/* POA_ex2 *this, */ CORBA::Environment &_ev);
    CORBA::Long m1(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev);
    ex1_ptr mtypes(/* POA_ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
    CORBA::Long l1(/* POA_ex2 *this, */ CORBA::Environment &_ev);
    void l1(/* POA_ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


int flick_marshal_stub(flick_marshal_stream_t _stream, ex2_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, ex2_ptr *_data);

class _tao_collocated_ex1 : public virtual ex1 {

public:
  _tao_collocated_ex1(POA_ex1_ptr servant, TAO_Stub *stub);
  POA_ex1_ptr _get_servant() const;
  virtual CORBA::Long m1(CORBA::Long a, CORBA::Environment &_ev);
  virtual ex1_ptr mtypes(CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
  virtual CORBA::Long l1(CORBA::Environment &_ev);
  virtual void l1(CORBA::Long l1, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_ex1_ptr servant_;
} ;


class _tao_collocated_ex2 : public virtual ex2 {

public:
  _tao_collocated_ex2(POA_ex2_ptr servant, TAO_Stub *stub);
  POA_ex2_ptr _get_servant() const;
  virtual CORBA::Long m2(CORBA::Long a, CORBA::Long &b, CORBA::Environment &_ev);
  virtual void mv(CORBA::Environment &_ev);
  virtual CORBA::Long l2(CORBA::Environment &_ev);
  virtual CORBA::Long m1(CORBA::Long a, CORBA::Environment &_ev);
  virtual ex1_ptr mtypes(CORBA::Long a1, CORBA::Long &a2, CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, CORBA::Char &g3, CORBA::Environment &_ev);
  virtual CORBA::Long l1(CORBA::Environment &_ev);
  virtual void l1(CORBA::Long l1, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_ex2_ptr servant_;
} ;


#endif /* _primtypes_server_h_ */
