#include "structnestez_-client.h"
#include "structnestez_-server.h"

static const CORBA::Long _oc_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    1 /* member count */,
    2, ACE_NTOHL(0x66000000) /* name = f */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_a (CORBA::tk_struct, sizeof(_oc_a), (char *) &_oc_a, 0, sizeof(struct a ));

CORBA::TypeCode_ptr _tc_a = &_tc_TAO_tc_a;

void operator<<=(CORBA::Any &a, const struct a &o)
{
  struct a  *_any_val;
  ACE_NEW(_any_val, struct a  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_a, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct a *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_a, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct a  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct a , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_a, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_a, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

a_var::a_var()
  : ptr_(0)
{}

a_var::a_var(struct a *p)
 : ptr_(p)
{}

a_var::a_var(const a_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct a (*a.ptr_);
  else
    this->ptr_ = 0;
}

a_var::~a_var()
{
  delete this->ptr_;
}

a_var &a_var::operator=(struct a *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

a_var &a_var::operator=(const a_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct a (*p.ptr_);
  }
  return *this;
}

struct a *a_var::operator->()
{
  return this->ptr_;
}

const struct a *a_var::operator->() const
{
  return this->ptr_;
}

a_var::operator const struct a &() const
{
  return *this->ptr_;
}

a_var::operator struct a &()
{
  return *this->ptr_;
}

a_var::operator struct a &() const
{
  return *this->ptr_;
}

const struct a &a_var::in() const
{
  return *this->ptr_;
}

struct a &a_var::inout()
{
  return *this->ptr_;
}

struct a &a_var::out()
{
  return *this->ptr_;
}

struct a a_var::_retn()
{
  return *this->ptr_;
}

struct a *a_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_b[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:b:1.0 */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    1 /* member count */,
    2, ACE_NTOHL(0x66000000) /* name = f */,
    CORBA::tk_struct,
    44 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      1 /* member count */,
      2, ACE_NTOHL(0x66000000) /* name = f */,
      CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_b (CORBA::tk_struct, sizeof(_oc_b), (char *) &_oc_b, 0, sizeof(struct b ));

CORBA::TypeCode_ptr _tc_b = &_tc_TAO_tc_b;

void operator<<=(CORBA::Any &a, const struct b &o)
{
  struct b  *_any_val;
  ACE_NEW(_any_val, struct b  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_b, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct b *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_b, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_b, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct b  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct b , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_b, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_b, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

b_var::b_var()
  : ptr_(0)
{}

b_var::b_var(struct b *p)
 : ptr_(p)
{}

b_var::b_var(const b_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct b (*a.ptr_);
  else
    this->ptr_ = 0;
}

b_var::~b_var()
{
  delete this->ptr_;
}

b_var &b_var::operator=(struct b *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

b_var &b_var::operator=(const b_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct b (*p.ptr_);
  }
  return *this;
}

struct b *b_var::operator->()
{
  return this->ptr_;
}

const struct b *b_var::operator->() const
{
  return this->ptr_;
}

b_var::operator const struct b &() const
{
  return *this->ptr_;
}

b_var::operator struct b &()
{
  return *this->ptr_;
}

b_var::operator struct b &() const
{
  return *this->ptr_;
}

const struct b &b_var::in() const
{
  return *this->ptr_;
}

struct b &b_var::inout()
{
  return *this->ptr_;
}

struct b &b_var::out()
{
  return *this->ptr_;
}

struct b b_var::_retn()
{
  return *this->ptr_;
}

struct b *b_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
    4, ACE_NTOHL(0x62617200) /* name = bar */,
    1 /* member count */,
    2, ACE_NTOHL(0x66000000) /* name = f */,
    CORBA::tk_struct,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261722f), ACE_NTOHL(0x666f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar/foo:1.0 */,
      4, ACE_NTOHL(0x666f6f00) /* name = foo */,
      1 /* member count */,
      2, ACE_NTOHL(0x66000000) /* name = f */,
      CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_bar (CORBA::tk_struct, sizeof(_oc_bar), (char *) &_oc_bar, 0, sizeof(struct bar ));

CORBA::TypeCode_ptr _tc_bar = &_tc_TAO_tc_bar;

void operator<<=(CORBA::Any &a, const struct bar &o)
{
  struct bar  *_any_val;
  ACE_NEW(_any_val, struct bar  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar_var::bar_var()
  : ptr_(0)
{}

bar_var::bar_var(struct bar *p)
 : ptr_(p)
{}

bar_var::bar_var(const bar_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar_var::~bar_var()
{
  delete this->ptr_;
}

bar_var &bar_var::operator=(struct bar *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar_var &bar_var::operator=(const bar_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar (*p.ptr_);
  }
  return *this;
}

struct bar *bar_var::operator->()
{
  return this->ptr_;
}

const struct bar *bar_var::operator->() const
{
  return this->ptr_;
}

bar_var::operator const struct bar &() const
{
  return *this->ptr_;
}

bar_var::operator struct bar &()
{
  return *this->ptr_;
}

bar_var::operator struct bar &() const
{
  return *this->ptr_;
}

const struct bar &bar_var::in() const
{
  return *this->ptr_;
}

struct bar &bar_var::inout()
{
  return *this->ptr_;
}

struct bar &bar_var::out()
{
  return *this->ptr_;
}

struct bar bar_var::_retn()
{
  return *this->ptr_;
}

struct bar *bar_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar_foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261722f), ACE_NTOHL(0x666f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar/foo:1.0 */,
    4, ACE_NTOHL(0x666f6f00) /* name = foo */,
    1 /* member count */,
    2, ACE_NTOHL(0x66000000) /* name = f */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_bar_foo (CORBA::tk_struct, sizeof(_oc_bar_foo), (char *) &_oc_bar_foo, 0, sizeof(struct bar::foo ));

CORBA::TypeCode_ptr bar::_tc_foo = &_tc_TAO_tc_bar_foo;

void operator<<=(CORBA::Any &a, const struct bar::foo &o)
{
  struct bar::foo  *_any_val;
  ACE_NEW(_any_val, struct bar::foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(bar::_tc_foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar::foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(bar::_tc_foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar::foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(bar::_tc_foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar::foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar::foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(bar::_tc_foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(bar::_tc_foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar::foo_var::foo_var()
  : ptr_(0)
{}

bar::foo_var::foo_var(struct bar::foo *p)
 : ptr_(p)
{}

bar::foo_var::foo_var(const bar::foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar::foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar::foo_var::~foo_var()
{
  delete this->ptr_;
}

bar::foo_var &bar::foo_var::operator=(struct bar::foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar::foo_var &bar::foo_var::operator=(const bar::foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar::foo (*p.ptr_);
  }
  return *this;
}

struct bar::foo *bar::foo_var::operator->()
{
  return this->ptr_;
}

const struct bar::foo *bar::foo_var::operator->() const
{
  return this->ptr_;
}

bar::foo_var::operator const struct bar::foo &() const
{
  return *this->ptr_;
}

bar::foo_var::operator struct bar::foo &()
{
  return *this->ptr_;
}

bar::foo_var::operator struct bar::foo &() const
{
  return *this->ptr_;
}

const struct bar::foo &bar::foo_var::in() const
{
  return *this->ptr_;
}

struct bar::foo &bar::foo_var::inout()
{
  return *this->ptr_;
}

struct bar::foo &bar::foo_var::out()
{
  return *this->ptr_;
}

struct bar::foo bar::foo_var::_retn()
{
  return *this->ptr_;
}

struct bar::foo *bar::foo_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test:1.0 */,
    5, ACE_NTOHL(0x74657374), ACE_NTOHL(0x00000000) /* name = test */
};

static CORBA::TypeCode _tc_TAO_tc_test (CORBA::tk_objref, sizeof(_oc_test), (char *) &_oc_test, 0, sizeof(test ));

CORBA::TypeCode_ptr _tc_test = &_tc_TAO_tc_test;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<test >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<test >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

test_ptr test::_duplicate(test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

test_ptr test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return test::_nil();
  if( !obj->_is_a("IDL:test:1.0", _env) )
    return test::_nil();
  return test::_unchecked_narrow(obj, _env);
}

test_ptr test::_unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return test::_nil();
  TAO_Stub *stub = obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (obj->_is_collocated () && obj->_servant() != 0)
    servant = obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new test (stub);
  return new _tao_collocated_test(
      ACE_reinterpret_cast(POA_test_ptr , servant),
      stub
    );
}

test_ptr test::_nil()
{
  return (test_ptr )NULL;
}

CORBA::Boolean test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(type_id, _env);
}

const char *test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

test::test()
{}

test::~test()
{}

void operator<<=(CORBA::Any &a, test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = test::_duplicate(o);
    a.replace (_tc_test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

test_var::test_var()
  : ptr_(test::_nil())
{}

test_var::test_var(test_ptr p)
  : ptr_(p)
{}

test_var::test_var(const test_var &a)
  : ptr_(test::_duplicate(a.ptr()))
{}

test_var::~test_var()
{
  CORBA::release(this->ptr_);
}

test_var &test_var::operator=(test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

test_var &test_var::operator=(const test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = test::_duplicate(p.ptr());
  }
  return *this;
}

test_ptr test_var::operator->() const
{
  return this->ptr_;
}

test_var::operator const test_ptr &() const
{
  return this->ptr_;
}

test_var::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr test_var::in() const
{
  return this->ptr_;
}

test_ptr &test_var::inout()
{
  return this->ptr_;
}

test_ptr &test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
  return this->ptr_;
}

test_ptr test_var::_retn()
{
  test_ptr  val = this->ptr_;
  this->ptr_ = test::_nil();
  return val;
}

test_ptr test_var::ptr() const
{
  return this->ptr_;
}

test_out::test_out(test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = test::_nil();
}

test_out::test_out(test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
}

test_out::test_out(const test_out &r)
  : ptr_(ACE_const_cast(test_out &,r).ptr_)
{}

test_out &test_out::operator=(const test_out &r)
{
  this->ptr_ = ACE_const_cast(test_out &,r).ptr_;
  return *this;
}

test_out &test_out::operator=(const test_var &r)
{
  this->ptr_ = test::_duplicate(r.ptr());
  return *this;
}

test_out &test_out::operator=(test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

test_out::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr &test_out::ptr()
{
  return this->ptr_;
}

test_ptr test_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort0);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort1);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort2);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort3);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort4);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort5);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar::foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort6);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar::foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort7);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar::foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort8);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort9);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort10);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort11);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort12);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort13);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort14);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

struct bar test::op(/* test *this, */ const struct bar &arg, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct bar _return;

  memset(&_return, 0, sizeof(struct bar ));
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort16);
    }
    {
      flick_iiopxx_encode_new_glob(14, _flick_abort16);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, arg.f.f, CORBA::Short );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort29);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.f.f, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort29:
                goto _flick_abort16;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort30);
              break;
              {
              _flick_abort30:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort31:
                goto _flick_abort16;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort22);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.f.f, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort22:
                goto _flick_abort16;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort23);
              break;
              {
              _flick_abort23:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort24);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort24:
                goto _flick_abort16;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort16:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort15);
    _flick_abort15:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct b test::op2(/* test *this, */ const struct b &arg, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct b _return;

  _return.f.f = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort33);
    }
    {
      flick_iiopxx_encode_new_glob(14, _flick_abort33);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, arg.f.f, CORBA::Short );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort33);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort46);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.f.f, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort46:
                goto _flick_abort33;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort47);
              break;
              {
              _flick_abort47:
                goto _flick_abort33;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort48);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort48:
                goto _flick_abort33;
              }
            }
          }
      }
    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort33);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort39);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.f.f, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort39:
                goto _flick_abort33;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort40);
              break;
              {
              _flick_abort40:
                goto _flick_abort33;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort41:
                goto _flick_abort33;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort33:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort32);
    _flick_abort32:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

