#include "mig-arrays-client.h"

/* This is the runtime type information */
/* */

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    unsigned *_t1_internal;

    _t1_internal = (unsigned *)foo;

    flick_khazana_encode_new_glob(72, _flick_abort1);
    flick_khazana_encode_new_chunk(72);
    flick_cdr_encode_signed32(0, 123002, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t1_internal, 64);
    flick_khazana_encode_end_chunk(72);
    flick_khazana_encode_end_glob(72);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort1);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort13);
            break;
            {
            _flick_abort13:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, khazana, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort22);
  }
  {
    unsigned *_t3_internal;

    _t3_internal = (unsigned *)foo;

    flick_khazana_encode_new_glob(136, _flick_abort22);
    flick_khazana_encode_new_chunk(136);
    flick_cdr_encode_signed32(0, 123003, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t3_internal, 128);
    flick_khazana_encode_end_chunk(136);
    flick_khazana_encode_end_glob(136);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort22);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort41);
            break;
            {
            _flick_abort41:
              goto _flick_abort22;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort22);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort34);
            break;
            {
            _flick_abort34:
              goto _flick_abort22;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort22:
    flick_mig_client_error(cdr, khazana, _flick_abort21);
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort43);
  }
  {
    unsigned *_t5_internal;

    _t5_internal = (unsigned *)foo;

    flick_khazana_encode_new_glob(264, _flick_abort43);
    flick_khazana_encode_new_chunk(264);
    flick_cdr_encode_signed32(0, 123004, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t5_internal, 256);
    flick_khazana_encode_end_chunk(264);
    flick_khazana_encode_end_glob(264);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort43);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort62);
            break;
            {
            _flick_abort62:
              goto _flick_abort43;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort43);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort43;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort43:
    flick_mig_client_error(cdr, khazana, _flick_abort42);
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort64);
  }
  {
    unsigned *_t7_internal;

    _t7_internal = (unsigned *)foo;

    flick_khazana_encode_new_glob(520, _flick_abort64);
    flick_khazana_encode_new_chunk(520);
    flick_cdr_encode_signed32(0, 123005, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t7_internal, 512);
    flick_khazana_encode_end_chunk(520);
    flick_khazana_encode_end_glob(520);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort64);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort64);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort83);
            break;
            {
            _flick_abort83:
              goto _flick_abort64;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort64);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort64;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort64:
    flick_mig_client_error(cdr, khazana, _flick_abort63);
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort85);
  }
  {
    unsigned *_t9_internal;

    _t9_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(1032, _flick_abort85);
    flick_khazana_encode_new_chunk(1032);
    flick_cdr_encode_signed32(0, 123006, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t9_internal, 1024);
    flick_khazana_encode_end_chunk(1032);
    flick_khazana_encode_end_glob(1032);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort85);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort85);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort104);
            break;
            {
            _flick_abort104:
              goto _flick_abort85;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort85);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort97);
            break;
            {
            _flick_abort97:
              goto _flick_abort85;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort85:
    flick_mig_client_error(cdr, khazana, _flick_abort84);
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort106);
  }
  {
    unsigned *_t11_internal;

    _t11_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(2056, _flick_abort106);
    flick_khazana_encode_new_chunk(2056);
    flick_cdr_encode_signed32(0, 123007, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t11_internal, 2048);
    flick_khazana_encode_end_chunk(2056);
    flick_khazana_encode_end_glob(2056);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort106);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort125);
            break;
            {
            _flick_abort125:
              goto _flick_abort106;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort106);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort118);
            break;
            {
            _flick_abort118:
              goto _flick_abort106;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort106:
    flick_mig_client_error(cdr, khazana, _flick_abort105);
  _flick_abort105:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort127);
  }
  {
    unsigned *_t13_internal;

    _t13_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(4104, _flick_abort127);
    flick_khazana_encode_new_chunk(4104);
    flick_cdr_encode_signed32(0, 123008, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t13_internal, 4096);
    flick_khazana_encode_end_chunk(4104);
    flick_khazana_encode_end_glob(4104);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort127);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort127);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort146);
            break;
            {
            _flick_abort146:
              goto _flick_abort127;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort127);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort139);
            break;
            {
            _flick_abort139:
              goto _flick_abort127;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort127:
    flick_mig_client_error(cdr, khazana, _flick_abort126);
  _flick_abort126:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort148);
  }
  {
    unsigned *_t15_internal;

    _t15_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort148);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123009, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(8192, _flick_abort148);
    flick_khazana_encode_new_chunk(8192);
    flick_cdr_encode_bcopy(0, _t15_internal, 8192);
    flick_khazana_encode_end_chunk(8192);
    flick_khazana_encode_end_glob(8192);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort148);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort148);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort167);
            break;
            {
            _flick_abort167:
              goto _flick_abort148;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort148);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort160);
            break;
            {
            _flick_abort160:
              goto _flick_abort148;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort148:
    flick_mig_client_error(cdr, khazana, _flick_abort147);
  _flick_abort147:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort169);
  }
  {
    unsigned *_t17_internal;

    _t17_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort169);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123010, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(16384, _flick_abort169);
    flick_khazana_encode_new_chunk(16384);
    flick_cdr_encode_bcopy(0, _t17_internal, 16384);
    flick_khazana_encode_end_chunk(16384);
    flick_khazana_encode_end_glob(16384);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort169);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort188);
            break;
            {
            _flick_abort188:
              goto _flick_abort169;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort169);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort181);
            break;
            {
            _flick_abort181:
              goto _flick_abort169;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort169:
    flick_mig_client_error(cdr, khazana, _flick_abort168);
  _flick_abort168:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort190);
  }
  {
    unsigned *_t19_internal;

    _t19_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort190);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123011, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(32768, _flick_abort190);
    flick_khazana_encode_new_chunk(32768);
    flick_cdr_encode_bcopy(0, _t19_internal, 32768);
    flick_khazana_encode_end_chunk(32768);
    flick_khazana_encode_end_glob(32768);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort190);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort190);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort209);
            break;
            {
            _flick_abort209:
              goto _flick_abort190;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort190);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort202);
            break;
            {
            _flick_abort202:
              goto _flick_abort190;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort190:
    flick_mig_client_error(cdr, khazana, _flick_abort189);
  _flick_abort189:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort211);
  }
  {
    unsigned *_t21_internal;

    _t21_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort211);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123012, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(65536, _flick_abort211);
    flick_khazana_encode_new_chunk(65536);
    flick_cdr_encode_bcopy(0, _t21_internal, 65536);
    flick_khazana_encode_end_chunk(65536);
    flick_khazana_encode_end_glob(65536);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort211);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort211);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort230);
            break;
            {
            _flick_abort230:
              goto _flick_abort211;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort211);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort223);
            break;
            {
            _flick_abort223:
              goto _flick_abort211;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort211:
    flick_mig_client_error(cdr, khazana, _flick_abort210);
  _flick_abort210:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_128K_in(mach_port_t target, t128K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort232);
  }
  {
    unsigned *_t23_internal;

    _t23_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort232);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123013, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(131072, _flick_abort232);
    flick_khazana_encode_new_chunk(131072);
    flick_cdr_encode_bcopy(0, _t23_internal, 131072);
    flick_khazana_encode_end_chunk(131072);
    flick_khazana_encode_end_glob(131072);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort232);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort232);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort251);
            break;
            {
            _flick_abort251:
              goto _flick_abort232;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort232);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort244);
            break;
            {
            _flick_abort244:
              goto _flick_abort232;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort232:
    flick_mig_client_error(cdr, khazana, _flick_abort231);
  _flick_abort231:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_256K_in(mach_port_t target, t256K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort253);
  }
  {
    unsigned *_t25_internal;

    _t25_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort253);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123014, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(262144, _flick_abort253);
    flick_khazana_encode_new_chunk(262144);
    flick_cdr_encode_bcopy(0, _t25_internal, 262144);
    flick_khazana_encode_end_chunk(262144);
    flick_khazana_encode_end_glob(262144);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort253);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort253);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort272);
            break;
            {
            _flick_abort272:
              goto _flick_abort253;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort253);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort265);
            break;
            {
            _flick_abort265:
              goto _flick_abort253;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort253:
    flick_mig_client_error(cdr, khazana, _flick_abort252);
  _flick_abort252:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_512K_in(mach_port_t target, t512K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort274);
  }
  {
    unsigned *_t27_internal;

    _t27_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort274);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123015, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(524288, _flick_abort274);
    flick_khazana_encode_new_chunk(524288);
    flick_cdr_encode_bcopy(0, _t27_internal, 524288);
    flick_khazana_encode_end_chunk(524288);
    flick_khazana_encode_end_glob(524288);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort274);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort274);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort293);
            break;
            {
            _flick_abort293:
              goto _flick_abort274;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort274);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort286);
            break;
            {
            _flick_abort286:
              goto _flick_abort274;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort274:
    flick_mig_client_error(cdr, khazana, _flick_abort273);
  _flick_abort273:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_1024K_in(mach_port_t target, t1024K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort295);
  }
  {
    unsigned *_t29_internal;

    _t29_internal = (unsigned *)data;

    flick_khazana_encode_new_glob(8, _flick_abort295);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123016, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
    flick_khazana_encode_new_glob(1048576, _flick_abort295);
    flick_khazana_encode_new_chunk(1048576);
    flick_cdr_encode_bcopy(0, _t29_internal, 1048576);
    flick_khazana_encode_end_chunk(1048576);
    flick_khazana_encode_end_glob(1048576);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort295);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort295);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort314);
            break;
            {
            _flick_abort314:
              goto _flick_abort295;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(4);
      flick_khazana_check_span(4, _flick_abort295);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_khazana_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_khazana_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort307);
            break;
            {
            _flick_abort307:
              goto _flick_abort295;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort295:
    flick_mig_client_error(cdr, khazana, _flick_abort294);
  _flick_abort294:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_time(mach_port_t target, timervar timer)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_khazana_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_khazana_client_encode_target(target, 0, cdr, _flick_abort316);
  }
  {
    flick_khazana_encode_new_glob(8, _flick_abort316);
    flick_khazana_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123017, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_khazana_encode_end_chunk(8);
    flick_khazana_encode_end_glob(8);
  }
  flick_khazana_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_khazana_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort316);
  flick_khazana_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort316);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t34_internal;
            flick_unsigned32_t _t35_array_iter;

            _t34_internal = (unsigned *)timer;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(2 * 4 + 0, _flick_abort337);
            for (_t35_array_iter = 0; _t35_array_iter < 2; _t35_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t34_internal[_t35_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort337:
              goto _flick_abort316;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, khazana, _flick_abort343);
            break;
            {
            _flick_abort343:
              goto _flick_abort316;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_khazana_decode_new_glob(12);
      flick_khazana_check_span(4, _flick_abort316);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_khazana_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t31_internal;

            _t31_internal = (unsigned *)timer;

            /* Begin decode phase on parameters */
            flick_khazana_check_span(8, _flick_abort325);
            flick_khazana_decode_new_chunk(8);
            flick_cdr_decode_bcopy(0, _t31_internal, 8);
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(12);
            break;
            {
            _flick_abort325:
              goto _flick_abort316;
            }
          }
        default:
          {
            flick_khazana_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, khazana, _flick_abort328);
            break;
            {
            _flick_abort328:
              goto _flick_abort316;
            }
          }
        }
    }
  flick_khazana_client_end_decode();
  return _return;
  {
  _flick_abort316:
    flick_mig_client_error(cdr, khazana, _flick_abort315);
  _flick_abort315:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

