#include "module-server.h"

/* This is the runtime type information */
char *flick_interface_parents_mod1_mod2_ex1[] = {
	0
};

char *flick_interface_parents_mod1_mod2_ex2[] = {
	"IDL:mod1/mod2/ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &mod1_mod2_ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &mod1_mod2_ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t35_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(36, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t35_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t36_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t36_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t36_switch_tag)
            {
            case 'm':
              {
                char _t37_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t37_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t37_switch_tag)
                  {
                  case '1':
                    {
                      char _t38_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t38_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t38_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex1 _obj;
                              unsigned int _t39_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t40_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort55);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t39_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t39_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t39_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t39_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t40_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort55);
                                flick_suntcp_encode_new_glob(8, _flick_abort55);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort61);
                                      break;
                                      {
                                      _flick_abort61:
                                        goto _flick_abort55;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort62:
                                        goto _flick_abort55;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort55:
                                goto _flick_abort54;
                              }
                            }
                            break;
                            {
                            _flick_abort54:
                              goto _flick_abort4;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t41_switch_tag;

          flick_suntcp_check_span(48, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t41_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t41_switch_tag)
            {
            case '_':
              {
                char _t42_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t42_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t42_switch_tag)
                  {
                  case 'g':
                    {
                      char _t43_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t43_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t43_switch_tag)
                        {
                        case 'e':
                          {
                            char _t44_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t44_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t44_switch_tag)
                              {
                              case 't':
                                {
                                  char _t45_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t45_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t45_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t46_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t46_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t46_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t47_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t47_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t47_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t48_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t48_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t48_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            unsigned int _t49_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t50_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort64);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t49_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t49_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t49_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t49_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t50_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort64);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort64);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort70);
                                                                    break;
                                                                    {
                                                                    _flick_abort70:
                                                                      goto _flick_abort64;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort71:
                                                                      goto _flick_abort64;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort64:
                                                              goto _flick_abort63;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort63:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '2':
                                                  {
                                                    char _t51_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t51_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t51_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            unsigned int _t52_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t53_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort73);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t52_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t52_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t52_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t52_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t53_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort73);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort73);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort79);
                                                                    break;
                                                                    {
                                                                    _flick_abort79:
                                                                      goto _flick_abort73;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort80:
                                                                      goto _flick_abort73;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort73:
                                                              goto _flick_abort72;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort72:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t54_switch_tag;

                      flick_suntcp_check_span(44, _flick_abort4);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t54_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t54_switch_tag)
                        {
                        case 'e':
                          {
                            char _t55_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t55_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t55_switch_tag)
                              {
                              case 't':
                                {
                                  char _t56_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t56_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t56_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t57_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t57_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t57_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t58_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t58_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t58_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t59_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t59_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t59_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex1 _obj;
                                                            unsigned int _t60_ignore;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t61_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort82);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t60_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t60_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t60_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t60_ignore, unsigned int );
                                                            flick_xdr_decode_signed32(16, _local_l1, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t61_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort82);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort82);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort88);
                                                                    break;
                                                                    {
                                                                    _flick_abort88:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort89:
                                                                      goto _flick_abort82;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort82:
                                                              goto _flick_abort81;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort81:
                                                            goto _flick_abort4;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t62_switch_tag;

          flick_suntcp_check_span(40, _flick_abort4);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t62_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t62_switch_tag)
            {
            case 'i':
              {
                char _t63_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t63_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t63_switch_tag)
                  {
                  case 's':
                    {
                      char _t64_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t64_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t64_switch_tag)
                        {
                        case '_':
                          {
                            char _t65_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t65_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t65_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t66_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t66_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t66_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t67_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t68_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t69_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort91);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t67_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t67_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t67_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t67_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t68_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_suntcp_decode_new_glob(1 * _t68_temp_string_len);
                                          flick_suntcp_check_span(1 * _t68_temp_string_len * 1, _flick_abort91);
                                          flick_suntcp_decode_new_chunk(1 * _t68_temp_string_len);
                                          if ((_t68_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t68_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t68_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t68_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t68_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort94);
                                          _local_id[_t68_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t69_storage);
                                          _par = flick_interface_parents_mod1_mod2_ex1;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort94);
                                            flick_suntcp_encode_new_glob(8, _flick_abort94);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort100);
                                                  break;
                                                  {
                                                  _flick_abort100:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort101:
                                                    goto _flick_abort94;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort94:
                                            auto_flick_free(_local_id);
                                          _flick_abort91:
                                            goto _flick_abort90;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort90:
                                          goto _flick_abort4;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort102);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort103);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort103:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t115_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_check_span(36, _flick_abort106);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t115_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t116_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t116_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t116_switch_tag)
            {
            case 'm':
              {
                char _t117_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t117_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t117_switch_tag)
                  {
                  case '2':
                    {
                      char _t118_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t118_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t118_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              unsigned int _t119_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_long _t120_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t121_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort184);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t119_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t119_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t119_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t119_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (CORBA_long *)(&_t120_storage);
                              _ev = (CORBA_Environment *)(&_t121_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort184);
                                flick_suntcp_encode_new_glob(12, _flick_abort184);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(8);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_signed32(4, *_local_b, CORBA_long );
                                      flick_suntcp_encode_end_chunk(8);
                                      flick_suntcp_encode_end_glob(12);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort190);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort184;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                      flick_suntcp_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort191:
                                        goto _flick_abort184;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort184:
                                goto _flick_abort183;
                              }
                            }
                            break;
                            {
                            _flick_abort183:
                              goto _flick_abort106;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t122_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t122_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t122_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              unsigned int _t123_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t124_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort193);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t123_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t123_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t123_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t123_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t124_storage);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(56);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort193);
                                flick_suntcp_encode_new_glob(8, _flick_abort193);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_suntcp_encode_end_chunk(4);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort199);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort193;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                      flick_suntcp_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort200:
                                        goto _flick_abort193;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort193:
                                goto _flick_abort192;
                              }
                            }
                            break;
                            {
                            _flick_abort192:
                              goto _flick_abort106;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t125_switch_tag;

          flick_suntcp_check_span(48, _flick_abort106);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t125_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t125_switch_tag)
            {
            case '_':
              {
                char _t126_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t126_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t126_switch_tag)
                  {
                  case 'g':
                    {
                      char _t127_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t127_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t127_switch_tag)
                        {
                        case 'e':
                          {
                            char _t128_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t128_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t128_switch_tag)
                              {
                              case 't':
                                {
                                  char _t129_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t129_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t129_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t130_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t130_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t130_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t131_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t131_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t131_switch_tag)
                                                {
                                                case '3':
                                                  {
                                                    char _t132_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t132_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t132_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            unsigned int _t133_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t134_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort202);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t133_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t133_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t133_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t133_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t134_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort202);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort202);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort208);
                                                                    break;
                                                                    {
                                                                    _flick_abort208:
                                                                      goto _flick_abort202;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort209);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort209:
                                                                      goto _flick_abort202;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort202:
                                                              goto _flick_abort201;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort201:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t135_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t135_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t135_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            unsigned int _t136_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t137_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort211);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t136_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t136_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t136_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t136_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t137_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort211);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort211);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort217);
                                                                    break;
                                                                    {
                                                                    _flick_abort217:
                                                                      goto _flick_abort211;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort218);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort218:
                                                                      goto _flick_abort211;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort211:
                                                              goto _flick_abort210;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort210:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '2':
                                                  {
                                                    char _t138_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t138_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t138_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            unsigned int _t139_ignore;
                                                            CORBA_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t140_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort220);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t139_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t139_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t139_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t139_ignore, unsigned int );
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t140_storage);
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort220);
                                                              flick_suntcp_encode_new_glob(8, _flick_abort220);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort226);
                                                                    break;
                                                                    {
                                                                    _flick_abort226:
                                                                      goto _flick_abort220;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort227);
                                                                    flick_suntcp_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort227:
                                                                      goto _flick_abort220;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort220:
                                                              goto _flick_abort219;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort219:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t141_switch_tag;

                      flick_suntcp_check_span(44, _flick_abort106);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t141_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t141_switch_tag)
                        {
                        case 'e':
                          {
                            char _t142_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t142_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t142_switch_tag)
                              {
                              case 't':
                                {
                                  char _t143_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t143_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t143_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t144_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t144_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t144_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t145_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t145_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t145_switch_tag)
                                                {
                                                case '3':
                                                  {
                                                    char _t146_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t146_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t146_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            unsigned int _t147_ignore;
                                                            CORBA_long _local_l3;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t148_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort229);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t147_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t147_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t147_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t147_ignore, unsigned int );
                                                            flick_xdr_decode_signed32(16, _local_l3, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t148_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort229);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort229);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort235);
                                                                    break;
                                                                    {
                                                                    _flick_abort235:
                                                                      goto _flick_abort229;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort236);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort236:
                                                                      goto _flick_abort229;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort229:
                                                              goto _flick_abort228;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort228:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t149_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t149_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t149_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            mod1_mod2_ex2 _obj;
                                                            unsigned int _t150_ignore;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t151_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort238);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t150_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t150_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t150_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t150_ignore, unsigned int );
                                                            flick_xdr_decode_signed32(16, _local_l1, CORBA_long );
                                                            _ev = (CORBA_Environment *)(&_t151_storage);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort238);
                                                              flick_suntcp_encode_new_glob(4, _flick_abort238);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort244);
                                                                    break;
                                                                    {
                                                                    _flick_abort244:
                                                                      goto _flick_abort238;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort245);
                                                                    flick_suntcp_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort245:
                                                                      goto _flick_abort238;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort238:
                                                              goto _flick_abort237;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort237:
                                                            goto _flick_abort106;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t152_switch_tag;

          flick_suntcp_check_span(40, _flick_abort106);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t152_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t152_switch_tag)
            {
            case 'i':
              {
                char _t153_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t153_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t153_switch_tag)
                  {
                  case 's':
                    {
                      char _t154_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t154_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t154_switch_tag)
                        {
                        case '_':
                          {
                            char _t155_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t155_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t155_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t156_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t156_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t156_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_Object _obj;
                                          unsigned int _t157_ignore;
                                          CORBA_boolean _return;
                                          CORBA_char *_local_id;
                                          flick_unsigned32_t _t158_temp_string_len;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t159_storage;
                                          char **_par;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort247);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t157_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t157_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t157_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t157_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t158_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(56);
                                          flick_suntcp_decode_new_glob(1 * _t158_temp_string_len);
                                          flick_suntcp_check_span(1 * _t158_temp_string_len * 1, _flick_abort247);
                                          flick_suntcp_decode_new_chunk(1 * _t158_temp_string_len);
                                          if ((_t158_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t158_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort247);
                                                _local_id = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_id, 1 * _t158_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t158_temp_string_len);
                                          flick_suntcp_decode_end_glob(1 * _t158_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          flick_suntcp_check_span(0, _flick_abort250);
                                          _local_id[_t158_temp_string_len] = 0;
                                          _ev = (CORBA_Environment *)(&_t159_storage);
                                          _par = flick_interface_parents_mod1_mod2_ex2;
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort250);
                                            flick_suntcp_encode_new_glob(8, _flick_abort250);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort256);
                                                  break;
                                                  {
                                                  _flick_abort256:
                                                    goto _flick_abort250;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort257);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort257:
                                                    goto _flick_abort250;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort250:
                                            auto_flick_free(_local_id);
                                          _flick_abort247:
                                            goto _flick_abort246;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort246:
                                          goto _flick_abort106;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort106);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort106:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort105);
  _flick_abort105:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

