#include "mig-arrays-client.h"

/* This is the runtime type information */
/* */

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    unsigned *_t1_internal;

    _t1_internal = (unsigned *)foo;

    flick_trapeze_encode_new_glob(72, _flick_abort1);
    flick_trapeze_encode_new_chunk(72);
    flick_cdr_encode_signed32(0, 123002, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, _t1_internal, 64);
    flick_trapeze_encode_end_chunk(72);
    flick_trapeze_encode_end_glob(72);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_CTRL, foo))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort1);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(foo, sizeof(unsigned ) * 16);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort13);
  }
  {
    unsigned *_t3_internal;

    _t3_internal = (unsigned *)foo;

    flick_trapeze_encode_new_glob(8, _flick_abort13);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123003, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t3_internal, 4 * 32);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, foo))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort13);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort13);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(foo, sizeof(unsigned ) * 32);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort13:
    flick_mig_client_error(cdr, trapeze, _flick_abort12);
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort21);
  }
  {
    unsigned *_t5_internal;

    _t5_internal = (unsigned *)foo;

    flick_trapeze_encode_new_glob(8, _flick_abort21);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123004, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t5_internal, 4 * 64);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, foo))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort21);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(foo, sizeof(unsigned ) * 64);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort21:
    flick_mig_client_error(cdr, trapeze, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort29);
  }
  {
    unsigned *_t7_internal;

    _t7_internal = (unsigned *)foo;

    flick_trapeze_encode_new_glob(8, _flick_abort29);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123005, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t7_internal, 4 * 128);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, foo))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort29);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort29);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(foo, sizeof(unsigned ) * 128);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort29:
    flick_mig_client_error(cdr, trapeze, _flick_abort28);
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort37);
  }
  {
    unsigned *_t9_internal;

    _t9_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort37);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123006, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t9_internal, 4 * 256);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort37);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort37);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 256);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort37:
    flick_mig_client_error(cdr, trapeze, _flick_abort36);
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort45);
  }
  {
    unsigned *_t11_internal;

    _t11_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort45);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123007, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t11_internal, 4 * 512);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort45);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort45);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 512);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort45:
    flick_mig_client_error(cdr, trapeze, _flick_abort44);
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort53);
  }
  {
    unsigned *_t13_internal;

    _t13_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort53);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123008, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t13_internal, 4 * 1024);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort53);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort53);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 1024);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort53:
    flick_mig_client_error(cdr, trapeze, _flick_abort52);
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort61);
  }
  {
    unsigned *_t15_internal;

    _t15_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort61);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123009, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t15_internal, 4 * 2048);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort61);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort61);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 2048);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort61:
    flick_mig_client_error(cdr, trapeze, _flick_abort60);
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort69);
  }
  {
    unsigned *_t17_internal;

    _t17_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort69);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123010, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t17_internal, 4 * 4096);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort69);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 4096);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort69:
    flick_mig_client_error(cdr, trapeze, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort77);
  }
  {
    unsigned *_t19_internal;

    _t19_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort77);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123011, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t19_internal, 4 * 8192);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort77);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort77);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 8192);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort77:
    flick_mig_client_error(cdr, trapeze, _flick_abort76);
  _flick_abort76:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort85);
  }
  {
    unsigned *_t21_internal;

    _t21_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort85);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123012, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t21_internal, 4 * 16384);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort85);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort85);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 16384);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort85:
    flick_mig_client_error(cdr, trapeze, _flick_abort84);
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_128K_in(mach_port_t target, t128K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort93);
  }
  {
    unsigned *_t23_internal;

    _t23_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort93);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123013, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t23_internal, 4 * 32768);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort93);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort93);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 32768);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort93:
    flick_mig_client_error(cdr, trapeze, _flick_abort92);
  _flick_abort92:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_256K_in(mach_port_t target, t256K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort101);
  }
  {
    unsigned *_t25_internal;

    _t25_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort101);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123014, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t25_internal, 4 * 65536);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort101);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 65536);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort101:
    flick_mig_client_error(cdr, trapeze, _flick_abort100);
  _flick_abort100:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_512K_in(mach_port_t target, t512K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort109);
  }
  {
    unsigned *_t27_internal;

    _t27_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort109);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123015, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t27_internal, 4 * 131072);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort109);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort109);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 131072);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort109:
    flick_mig_client_error(cdr, trapeze, _flick_abort108);
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_1024K_in(mach_port_t target, t1024K data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort117);
  }
  {
    unsigned *_t29_internal;

    _t29_internal = (unsigned *)data;

    flick_trapeze_encode_new_glob(8, _flick_abort117);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123016, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(_t29_internal, 4 * 262144);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, data))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort117);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_check_span(4, _flick_abort117);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(data, sizeof(unsigned ) * 262144);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort117:
    flick_mig_client_error(cdr, trapeze, _flick_abort116);
  _flick_abort116:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t rpc_time(mach_port_t target, timervar timer)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(target, 0, cdr, _flick_abort125);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort125);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123017, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(timer, sizeof(unsigned ) * 2);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  _stub_state.state = FLICK_STATE_RECEIVE;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort125);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort125);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t31_internal;

            _t31_internal = (unsigned *)timer;

            /* Begin decode phase on parameters */
            flick_trapeze_check_span(8, _flick_abort132);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_bcopy(0, _t31_internal, 8);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort132:
              goto _flick_abort125;
            }
          }
        default:
          {
            flick_mig_decode_system_exception(_return, cdr, trapeze);
            break;
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort125:
    flick_mig_client_error(cdr, trapeze, _flick_abort124);
  _flick_abort124:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

