#include "arrays-server.h"

int flick_marshal_stub_end(flick_marshal_stream_t _stream, end *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(5, _flick_abort0);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1, oskit_s32_t );
  flick_fluke_encode_char8(4, _data->elem2, char );
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_end(flick_marshal_stream_t _stream, end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(5);
  flick_fluke_check_span(5, _flick_abort1);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1, oskit_s32_t );
  flick_fluke_decode_char8(4, _data->elem2, char );
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_begin(flick_marshal_stream_t _stream, begin *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort2);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1, char );
  flick_fluke_encode_signed32(4, _data->elem2, oskit_s32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort3);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1, char );
  flick_fluke_decode_signed32(4, _data->elem2, oskit_s32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(216, _flick_abort4);
  flick_fluke_encode_new_chunk(216);
  flick_fluke_encode_char8(0, _data->first, char );
  flick_fluke_encode_bcopy(4, _data->data, 200);
  flick_fluke_encode_float64(208, _data->last, double );
  flick_fluke_encode_end_chunk(216);
  flick_fluke_encode_end_glob(216);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(216);
  flick_fluke_check_span(216, _flick_abort7);
  flick_fluke_decode_new_chunk(216);
  flick_fluke_decode_char8(0, _data->first, char );
  flick_fluke_decode_bcopy(4, _data->data, 200);
  flick_fluke_decode_float64(208, _data->last, double );
  flick_fluke_decode_end_chunk(216);
  flick_fluke_decode_end_glob(216);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(209, _flick_abort10);
  flick_fluke_encode_new_chunk(209);
  flick_fluke_encode_float64(0, _data->first, double );
  flick_fluke_encode_bcopy(8, _data->data, 200);
  flick_fluke_encode_char8(208, _data->last, char );
  flick_fluke_encode_end_chunk(209);
  flick_fluke_encode_end_glob(209);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(209);
  flick_fluke_check_span(209, _flick_abort13);
  flick_fluke_decode_new_chunk(209);
  flick_fluke_decode_float64(0, _data->first, double );
  flick_fluke_decode_bcopy(8, _data->data, 200);
  flick_fluke_decode_char8(208, _data->last, char );
  flick_fluke_decode_end_chunk(209);
  flick_fluke_decode_end_glob(209);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(206, _flick_abort16);
  flick_fluke_encode_new_chunk(206);
  flick_fluke_encode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_encode_bcopy(4, _data->data, 200);
  flick_fluke_encode_signed16(204, _data->last, oskit_s16_t );
  flick_fluke_encode_end_chunk(206);
  flick_fluke_encode_end_glob(206);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(206);
  flick_fluke_check_span(206, _flick_abort19);
  flick_fluke_decode_new_chunk(206);
  flick_fluke_decode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_decode_bcopy(4, _data->data, 200);
  flick_fluke_decode_signed16(204, _data->last, oskit_s16_t );
  flick_fluke_decode_end_chunk(206);
  flick_fluke_decode_end_glob(206);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(416, _flick_abort22);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first, char );
  flick_fluke_encode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t0_array_iter].elem1, oskit_s32_t );
      flick_fluke_encode_char8(7, _data->data[_t0_array_iter].elem2, char );
      flick_fluke_encode_end_chunk(8);
      continue;
    }
  flick_fluke_encode_new_chunk(15);
  flick_fluke_encode_float64(7, _data->last, double );
  flick_fluke_encode_end_chunk(15);
  flick_fluke_encode_end_glob(416);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(416);
  flick_fluke_check_span(50 * 8 + 16, _flick_abort28);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first, char );
  flick_fluke_decode_end_chunk(1);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t1_array_iter].elem1, oskit_s32_t );
      flick_fluke_decode_char8(7, _data->data[_t1_array_iter].elem2, char );
      flick_fluke_decode_end_chunk(8);
      continue;
    }
  flick_fluke_decode_new_chunk(15);
  flick_fluke_decode_float64(7, _data->last, double );
  flick_fluke_decode_end_chunk(15);
  flick_fluke_decode_end_glob(416);
  return 0;
  {
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(409, _flick_abort34);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first, double );
  flick_fluke_encode_end_chunk(8);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t2_array_iter].elem1, oskit_s32_t );
      flick_fluke_encode_char8(4, _data->data[_t2_array_iter].elem2, char );
      flick_fluke_encode_end_chunk(5);
      continue;
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last, char );
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data)
{
  flick_unsigned32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(409);
  flick_fluke_check_span(50 * 5 + 9, _flick_abort40);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first, double );
  flick_fluke_decode_end_chunk(8);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_check_span(5, _flick_abort44);
      flick_fluke_decode_signed32(0, _data->data[_t3_array_iter].elem1, oskit_s32_t );
      flick_fluke_decode_char8(4, _data->data[_t3_array_iter].elem2, char );
      flick_fluke_decode_end_chunk(5);
      continue;
      {
      _flick_abort44:
        goto _flick_abort40;
      }
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last, char );
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
  return 0;
  {
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(405, _flick_abort46);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t4_array_iter].elem1, oskit_s32_t );
      flick_fluke_encode_char8(4, _data->data[_t4_array_iter].elem2, char );
      flick_fluke_encode_end_chunk(5);
      continue;
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last, oskit_s16_t );
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(405);
  return 0;
  {
  _flick_abort46:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data)
{
  flick_unsigned32_t _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(405);
  flick_fluke_check_span(50 * 5 + 5, _flick_abort52);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_check_span(5, _flick_abort56);
      flick_fluke_decode_signed32(0, _data->data[_t5_array_iter].elem1, oskit_s32_t );
      flick_fluke_decode_char8(4, _data->data[_t5_array_iter].elem2, char );
      flick_fluke_decode_end_chunk(5);
      continue;
      {
      _flick_abort56:
        goto _flick_abort52;
      }
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last, oskit_s16_t );
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(405);
  return 0;
  {
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data)
{
  flick_unsigned32_t _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(413, _flick_abort58);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first, char );
  flick_fluke_encode_end_chunk(1);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t6_array_iter].elem1, char );
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t6_array_iter].elem2, oskit_s32_t );
      flick_fluke_encode_end_chunk(4);
      continue;
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last, double );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(413);
  return 0;
  {
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data)
{
  flick_unsigned32_t _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(413);
  flick_fluke_check_span(50 * 5 + 1, _flick_abort64);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first, char );
  flick_fluke_decode_end_chunk(1);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t7_array_iter].elem1, char );
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_check_span(4, _flick_abort68);
      flick_fluke_decode_signed32(0, _data->data[_t7_array_iter].elem2, oskit_s32_t );
      flick_fluke_decode_end_chunk(4);
      continue;
      {
      _flick_abort68:
        goto _flick_abort64;
      }
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_check_span(8, _flick_abort64);
  flick_fluke_decode_float64(0, _data->last, double );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(413);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data)
{
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(409, _flick_abort70);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first, double );
  flick_fluke_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t8_array_iter].elem1, char );
      flick_fluke_encode_signed32(4, _data->data[_t8_array_iter].elem2, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      continue;
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last, char );
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(409);
  flick_fluke_check_span(50 * 8 + 9, _flick_abort76);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first, double );
  flick_fluke_decode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t9_array_iter].elem1, char );
      flick_fluke_decode_signed32(4, _data->data[_t9_array_iter].elem2, oskit_s32_t );
      flick_fluke_decode_end_chunk(8);
      continue;
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last, char );
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
  return 0;
  {
  _flick_abort76:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data)
{
  flick_unsigned32_t _t10_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(404, _flick_abort82);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t10_array_iter].elem1, char );
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t10_array_iter].elem2, oskit_s32_t );
      flick_fluke_encode_end_chunk(4);
      continue;
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last, oskit_s16_t );
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
  return 0;
  {
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data)
{
  flick_unsigned32_t _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(404);
  flick_fluke_check_span(50 * 5 + 4, _flick_abort88);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t11_array_iter].elem1, char );
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_check_span(4, _flick_abort92);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter].elem2, oskit_s32_t );
      flick_fluke_decode_end_chunk(4);
      continue;
      {
      _flick_abort92:
        goto _flick_abort88;
      }
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last, oskit_s16_t );
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
  return 1;
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t97_switch_tag;

    flick_fluke_decode_new_glob(833);
    flick_fluke_check_span(4, _flick_abort98);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t97_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t97_switch_tag)
      {
      case req_arrays_test_cLd:
        {
          {
            cLd _return;
            cLd *_local_inp;
            cLd _t98_storage;
            cLd *_local_iop;
            cLd _t99_storage;
            cLd *_local_outp;
            cLd _t100_storage;
            mom_exc_t *_ev;
            mom_exc_t _t101_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (cLd *)(&_t98_storage);
            flick_fluke_check_span(428, _flick_abort470);
            flick_fluke_decode_new_chunk(428);
            flick_fluke_decode_char8(0, _local_inp->first, char );
            flick_fluke_decode_bcopy(4, _local_inp->data, 200);
            flick_fluke_decode_float64(204, _local_inp->last, double );
            _local_iop = (cLd *)(&_t99_storage);
            flick_fluke_decode_char8(212, _local_iop->first, char );
            flick_fluke_decode_bcopy(216, _local_iop->data, 200);
            flick_fluke_decode_float64(420, _local_iop->last, double );
            _local_outp = (cLd *)(&_t100_storage);
            _ev = (mom_exc_t *)(&_t101_storage);
            flick_fluke_decode_end_chunk(428);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(648, _flick_abort470);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(644);
                    flick_fluke_encode_char8(0, _return.first, char );
                    flick_fluke_encode_bcopy(4, _return.data, 200);
                    flick_fluke_encode_float64(204, _return.last, double );
                    flick_fluke_encode_char8(212, _local_iop->first, char );
                    flick_fluke_encode_bcopy(216, _local_iop->data, 200);
                    flick_fluke_encode_float64(420, _local_iop->last, double );
                    flick_fluke_encode_char8(428, _local_outp->first, char );
                    flick_fluke_encode_bcopy(432, _local_outp->data, 200);
                    flick_fluke_encode_float64(636, _local_outp->last, double );
                    flick_fluke_encode_end_chunk(644);
                    flick_fluke_encode_end_glob(648);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(648);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort492);
                    break;
                    {
                    _flick_abort492:
                      goto _flick_abort470;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                    flick_fluke_encode_end_glob(648);
                    break;
                    {
                    _flick_abort493:
                      goto _flick_abort470;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort470:
              goto _flick_abort469;
            }
          }
          break;
          {
          _flick_abort469:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_dLc:
        {
          {
            dLc _return;
            dLc *_local_inp;
            dLc _t102_storage;
            dLc *_local_iop;
            dLc _t103_storage;
            dLc *_local_outp;
            dLc _t104_storage;
            mom_exc_t *_ev;
            mom_exc_t _t105_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (dLc *)(&_t102_storage);
            flick_fluke_check_span(429, _flick_abort495);
            flick_fluke_decode_new_chunk(429);
            flick_fluke_decode_float64(4, _local_inp->first, double );
            flick_fluke_decode_bcopy(12, _local_inp->data, 200);
            flick_fluke_decode_char8(212, _local_inp->last, char );
            _local_iop = (dLc *)(&_t103_storage);
            flick_fluke_decode_float64(220, _local_iop->first, double );
            flick_fluke_decode_bcopy(228, _local_iop->data, 200);
            flick_fluke_decode_char8(428, _local_iop->last, char );
            _local_outp = (dLc *)(&_t104_storage);
            _ev = (mom_exc_t *)(&_t105_storage);
            flick_fluke_decode_end_chunk(429);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(649, _flick_abort495);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(645);
                    flick_fluke_encode_float64(4, _return.first, double );
                    flick_fluke_encode_bcopy(12, _return.data, 200);
                    flick_fluke_encode_char8(212, _return.last, char );
                    flick_fluke_encode_float64(220, _local_iop->first, double );
                    flick_fluke_encode_bcopy(228, _local_iop->data, 200);
                    flick_fluke_encode_char8(428, _local_iop->last, char );
                    flick_fluke_encode_float64(436, _local_outp->first, double );
                    flick_fluke_encode_bcopy(444, _local_outp->data, 200);
                    flick_fluke_encode_char8(644, _local_outp->last, char );
                    flick_fluke_encode_end_chunk(645);
                    flick_fluke_encode_end_glob(649);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(649);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort517);
                    break;
                    {
                    _flick_abort517:
                      goto _flick_abort495;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort518);
                    flick_fluke_encode_end_glob(649);
                    break;
                    {
                    _flick_abort518:
                      goto _flick_abort495;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort495:
              goto _flick_abort494;
            }
          }
          break;
          {
          _flick_abort494:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_sLs:
        {
          {
            sLs _return;
            sLs *_local_inp;
            sLs _t106_storage;
            sLs *_local_iop;
            sLs _t107_storage;
            sLs *_local_outp;
            sLs _t108_storage;
            mom_exc_t *_ev;
            mom_exc_t _t109_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (sLs *)(&_t106_storage);
            flick_fluke_check_span(410, _flick_abort520);
            flick_fluke_decode_new_chunk(410);
            flick_fluke_decode_signed16(0, _local_inp->first, oskit_s16_t );
            flick_fluke_decode_bcopy(4, _local_inp->data, 200);
            flick_fluke_decode_signed16(204, _local_inp->last, oskit_s16_t );
            _local_iop = (sLs *)(&_t107_storage);
            flick_fluke_decode_signed16(206, _local_iop->first, oskit_s16_t );
            flick_fluke_decode_bcopy(208, _local_iop->data, 200);
            flick_fluke_decode_signed16(408, _local_iop->last, oskit_s16_t );
            _local_outp = (sLs *)(&_t108_storage);
            _ev = (mom_exc_t *)(&_t109_storage);
            flick_fluke_decode_end_chunk(410);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(618, _flick_abort520);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(614);
                    flick_fluke_encode_signed16(0, _return.first, oskit_s16_t );
                    flick_fluke_encode_bcopy(4, _return.data, 200);
                    flick_fluke_encode_signed16(204, _return.last, oskit_s16_t );
                    flick_fluke_encode_signed16(206, _local_iop->first, oskit_s16_t );
                    flick_fluke_encode_bcopy(208, _local_iop->data, 200);
                    flick_fluke_encode_signed16(408, _local_iop->last, oskit_s16_t );
                    flick_fluke_encode_signed16(410, _local_outp->first, oskit_s16_t );
                    flick_fluke_encode_bcopy(412, _local_outp->data, 200);
                    flick_fluke_encode_signed16(612, _local_outp->last, oskit_s16_t );
                    flick_fluke_encode_end_chunk(614);
                    flick_fluke_encode_end_glob(618);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(618);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort542);
                    break;
                    {
                    _flick_abort542:
                      goto _flick_abort520;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort543);
                    flick_fluke_encode_end_glob(618);
                    break;
                    {
                    _flick_abort543:
                      goto _flick_abort520;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort520:
              goto _flick_abort519;
            }
          }
          break;
          {
          _flick_abort519:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_cLCd:
        {
          {
            cLCd _return;
            cLCd *_local_inp;
            cLCd _t110_storage;
            flick_unsigned32_t _t111_array_iter;
            cLCd *_local_iop;
            cLCd _t112_storage;
            flick_unsigned32_t _t113_array_iter;
            cLCd *_local_outp;
            cLCd _t114_storage;
            mom_exc_t *_ev;
            mom_exc_t _t115_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (cLCd *)(&_t110_storage);
            flick_fluke_check_span(50 * 8 + (50 * 8 + 28), _flick_abort545);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first, char );
            flick_fluke_decode_end_chunk(1);
            for (_t111_array_iter = 0; _t111_array_iter < 50; _t111_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_inp->data[_t111_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(7, _local_inp->data[_t111_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(8);
                continue;
              }
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(3, _local_inp->last, double );
            _local_iop = (cLCd *)(&_t112_storage);
            flick_fluke_decode_char8(11, _local_iop->first, char );
            flick_fluke_decode_end_chunk(12);
            for (_t113_array_iter = 0; _t113_array_iter < 50; _t113_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_signed32(3, _local_iop->data[_t113_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(7, _local_iop->data[_t113_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(8);
                continue;
              }
            flick_fluke_decode_new_chunk(15);
            flick_fluke_decode_float64(7, _local_iop->last, double );
            _local_outp = (cLCd *)(&_t114_storage);
            _ev = (mom_exc_t *)(&_t115_storage);
            flick_fluke_decode_end_chunk(15);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1248, _flick_abort545);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t119_array_iter;
                    flick_unsigned32_t _t120_array_iter;
                    flick_unsigned32_t _t121_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _return.first, char );
                    flick_fluke_encode_end_chunk(1);
                    for (_t119_array_iter = 0; _t119_array_iter < 50; _t119_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_signed32(3, _return.data[_t119_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(7, _return.data[_t119_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float64(3, _return.last, double );
                    flick_fluke_encode_char8(11, _local_iop->first, char );
                    flick_fluke_encode_end_chunk(12);
                    for (_t120_array_iter = 0; _t120_array_iter < 50; _t120_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_signed32(3, _local_iop->data[_t120_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(7, _local_iop->data[_t120_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(16);
                    flick_fluke_encode_float64(7, _local_iop->last, double );
                    flick_fluke_encode_char8(15, _local_outp->first, char );
                    flick_fluke_encode_end_chunk(16);
                    for (_t121_array_iter = 0; _t121_array_iter < 50; _t121_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_signed32(3, _local_outp->data[_t121_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(7, _local_outp->data[_t121_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(15);
                    flick_fluke_encode_float64(7, _local_outp->last, double );
                    flick_fluke_encode_end_chunk(15);
                    flick_fluke_encode_end_glob(1248);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1248);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort591);
                    break;
                    {
                    _flick_abort591:
                      goto _flick_abort545;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort592);
                    flick_fluke_encode_end_glob(1248);
                    break;
                    {
                    _flick_abort592:
                      goto _flick_abort545;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort545:
              goto _flick_abort544;
            }
          }
          break;
          {
          _flick_abort544:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_dLCc:
        {
          {
            dLCc _return;
            dLCc *_local_inp;
            dLCc _t122_storage;
            flick_unsigned32_t _t123_array_iter;
            dLCc *_local_iop;
            dLCc _t124_storage;
            flick_unsigned32_t _t125_array_iter;
            dLCc *_local_outp;
            dLCc _t126_storage;
            mom_exc_t *_ev;
            mom_exc_t _t127_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (dLCc *)(&_t122_storage);
            flick_fluke_check_span(50 * 5 + (50 * 5 + 14), _flick_abort594);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first, double );
            flick_fluke_decode_end_chunk(12);
            for (_t123_array_iter = 0; _t123_array_iter < 50; _t123_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_check_span(5, _flick_abort598);
                flick_fluke_decode_signed32(0, _local_inp->data[_t123_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(4, _local_inp->data[_t123_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(5);
                continue;
                {
                _flick_abort598:
                  goto _flick_abort594;
                }
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->last, char );
            _local_iop = (dLCc *)(&_t124_storage);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
            flick_fluke_check_span(8, _flick_abort594);
            flick_fluke_decode_float64(0, _local_iop->first, double );
            flick_fluke_decode_end_chunk(8);
            for (_t125_array_iter = 0; _t125_array_iter < 50; _t125_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_check_span(5, _flick_abort603);
                flick_fluke_decode_signed32(0, _local_iop->data[_t125_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(4, _local_iop->data[_t125_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(5);
                continue;
                {
                _flick_abort603:
                  goto _flick_abort594;
                }
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last, char );
            _local_outp = (dLCc *)(&_t126_storage);
            _ev = (mom_exc_t *)(&_t127_storage);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1247, _flick_abort594);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t131_array_iter;
                    flick_unsigned32_t _t132_array_iter;
                    flick_unsigned32_t _t133_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float64(4, _return.first, double );
                    flick_fluke_encode_end_chunk(12);
                    for (_t131_array_iter = 0; _t131_array_iter < 50; _t131_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _return.data[_t131_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _return.data[_t131_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _return.last, char );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                    flick_fluke_encode_float64(0, _local_iop->first, double );
                    flick_fluke_encode_end_chunk(8);
                    for (_t132_array_iter = 0; _t132_array_iter < 50; _t132_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_iop->data[_t132_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _local_iop->data[_t132_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _local_iop->last, char );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
                    flick_fluke_encode_float64(0, _local_outp->first, double );
                    flick_fluke_encode_end_chunk(8);
                    for (_t133_array_iter = 0; _t133_array_iter < 50; _t133_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_outp->data[_t133_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _local_outp->data[_t133_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _local_outp->last, char );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_end_glob(1247);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1247);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort640);
                    break;
                    {
                    _flick_abort640:
                      goto _flick_abort594;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort641);
                    flick_fluke_encode_end_glob(1247);
                    break;
                    {
                    _flick_abort641:
                      goto _flick_abort594;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort594:
              goto _flick_abort593;
            }
          }
          break;
          {
          _flick_abort593:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_sLCs:
        {
          {
            sLCs _return;
            sLCs *_local_inp;
            sLCs _t134_storage;
            flick_unsigned32_t _t135_array_iter;
            sLCs *_local_iop;
            sLCs _t136_storage;
            flick_unsigned32_t _t137_array_iter;
            sLCs *_local_outp;
            sLCs _t138_storage;
            mom_exc_t *_ev;
            mom_exc_t _t139_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (sLCs *)(&_t134_storage);
            flick_fluke_check_span(50 * 5 + (50 * 5 + 10), _flick_abort643);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            for (_t135_array_iter = 0; _t135_array_iter < 50; _t135_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_check_span(5, _flick_abort647);
                flick_fluke_decode_signed32(0, _local_inp->data[_t135_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(4, _local_inp->data[_t135_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(5);
                continue;
                {
                _flick_abort647:
                  goto _flick_abort643;
                }
              }
            flick_fluke_decode_new_chunk(5);
            flick_fluke_decode_signed16(1, _local_inp->last, oskit_s16_t );
            _local_iop = (sLCs *)(&_t136_storage);
            flick_fluke_decode_signed16(3, _local_iop->first, oskit_s16_t );
            flick_fluke_decode_end_chunk(5);
            for (_t137_array_iter = 0; _t137_array_iter < 50; _t137_array_iter++)
              {
                flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
                flick_fluke_check_span(5, _flick_abort652);
                flick_fluke_decode_signed32(0, _local_iop->data[_t137_array_iter].elem1, oskit_s32_t );
                flick_fluke_decode_char8(4, _local_iop->data[_t137_array_iter].elem2, char );
                flick_fluke_decode_end_chunk(5);
                continue;
                {
                _flick_abort652:
                  goto _flick_abort643;
                }
              }
            flick_fluke_decode_new_chunk(3);
            flick_fluke_decode_signed16(1, _local_iop->last, oskit_s16_t );
            _local_outp = (sLCs *)(&_t138_storage);
            _ev = (mom_exc_t *)(&_t139_storage);
            flick_fluke_decode_end_chunk(3);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1219, _flick_abort643);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t143_array_iter;
                    flick_unsigned32_t _t144_array_iter;
                    flick_unsigned32_t _t145_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _return.first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    for (_t143_array_iter = 0; _t143_array_iter < 50; _t143_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _return.data[_t143_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _return.data[_t143_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(5);
                    flick_fluke_encode_signed16(1, _return.last, oskit_s16_t );
                    flick_fluke_encode_signed16(3, _local_iop->first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(5);
                    for (_t144_array_iter = 0; _t144_array_iter < 50; _t144_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_iop->data[_t144_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _local_iop->data[_t144_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(5);
                    flick_fluke_encode_signed16(1, _local_iop->last, oskit_s16_t );
                    flick_fluke_encode_signed16(3, _local_outp->first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(5);
                    for (_t145_array_iter = 0; _t145_array_iter < 50; _t145_array_iter++)
                      {
                        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_outp->data[_t145_array_iter].elem1, oskit_s32_t );
                        flick_fluke_encode_char8(4, _local_outp->data[_t145_array_iter].elem2, char );
                        flick_fluke_encode_end_chunk(5);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(3);
                    flick_fluke_encode_signed16(1, _local_outp->last, oskit_s16_t );
                    flick_fluke_encode_end_chunk(3);
                    flick_fluke_encode_end_glob(1219);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1219);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort689);
                    break;
                    {
                    _flick_abort689:
                      goto _flick_abort643;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort690);
                    flick_fluke_encode_end_glob(1219);
                    break;
                    {
                    _flick_abort690:
                      goto _flick_abort643;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort643:
              goto _flick_abort642;
            }
          }
          break;
          {
          _flick_abort642:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_cCLd:
        {
          {
            cCLd _return;
            cCLd *_local_inp;
            cCLd _t146_storage;
            flick_unsigned32_t _t147_array_iter;
            cCLd *_local_iop;
            cCLd _t148_storage;
            flick_unsigned32_t _t149_array_iter;
            cCLd *_local_outp;
            cCLd _t150_storage;
            mom_exc_t *_ev;
            mom_exc_t _t151_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (cCLd *)(&_t146_storage);
            flick_fluke_check_span(50 * 5 + (50 * 5 + 1), _flick_abort692);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_inp->first, char );
            flick_fluke_decode_end_chunk(1);
            for (_t147_array_iter = 0; _t147_array_iter < 50; _t147_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t147_array_iter].elem1, char );
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_check_span(4, _flick_abort696);
                flick_fluke_decode_signed32(0, _local_inp->data[_t147_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(4);
                continue;
                {
                _flick_abort696:
                  goto _flick_abort692;
                }
              }
            flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
            flick_fluke_check_span(9, _flick_abort692);
            flick_fluke_decode_float64(0, _local_inp->last, double );
            _local_iop = (cCLd *)(&_t148_storage);
            flick_fluke_decode_char8(8, _local_iop->first, char );
            flick_fluke_decode_end_chunk(9);
            for (_t149_array_iter = 0; _t149_array_iter < 50; _t149_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_iop->data[_t149_array_iter].elem1, char );
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
                flick_fluke_check_span(4, _flick_abort701);
                flick_fluke_decode_signed32(0, _local_iop->data[_t149_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(4);
                continue;
                {
                _flick_abort701:
                  goto _flick_abort692;
                }
              }
            flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
            flick_fluke_check_span(8, _flick_abort692);
            flick_fluke_decode_float64(0, _local_iop->last, double );
            _local_outp = (cCLd *)(&_t150_storage);
            _ev = (mom_exc_t *)(&_t151_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1243, _flick_abort692);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t155_array_iter;
                    flick_unsigned32_t _t156_array_iter;
                    flick_unsigned32_t _t157_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _return.first, char );
                    flick_fluke_encode_end_chunk(1);
                    for (_t155_array_iter = 0; _t155_array_iter < 50; _t155_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return.data[_t155_array_iter].elem1, char );
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _return.data[_t155_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(4);
                        continue;
                      }
                    flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                    flick_fluke_encode_float64(0, _return.last, double );
                    flick_fluke_encode_char8(8, _local_iop->first, char );
                    flick_fluke_encode_end_chunk(9);
                    for (_t156_array_iter = 0; _t156_array_iter < 50; _t156_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_iop->data[_t156_array_iter].elem1, char );
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_iop->data[_t156_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(4);
                        continue;
                      }
                    flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
                    flick_fluke_encode_float64(0, _local_iop->last, double );
                    flick_fluke_encode_char8(8, _local_outp->first, char );
                    flick_fluke_encode_end_chunk(9);
                    for (_t157_array_iter = 0; _t157_array_iter < 50; _t157_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _local_outp->data[_t157_array_iter].elem1, char );
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                        flick_fluke_encode_signed32(0, _local_outp->data[_t157_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(4);
                        continue;
                      }
                    flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
                    flick_fluke_encode_float64(0, _local_outp->last, double );
                    flick_fluke_encode_end_chunk(8);
                    flick_fluke_encode_end_glob(1243);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1243);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort738);
                    break;
                    {
                    _flick_abort738:
                      goto _flick_abort692;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort739);
                    flick_fluke_encode_end_glob(1243);
                    break;
                    {
                    _flick_abort739:
                      goto _flick_abort692;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort692:
              goto _flick_abort691;
            }
          }
          break;
          {
          _flick_abort691:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_dCLc:
        {
          {
            dCLc _return;
            dCLc *_local_inp;
            dCLc _t158_storage;
            flick_unsigned32_t _t159_array_iter;
            dCLc *_local_iop;
            dCLc _t160_storage;
            flick_unsigned32_t _t161_array_iter;
            dCLc *_local_outp;
            dCLc _t162_storage;
            mom_exc_t *_ev;
            mom_exc_t _t163_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (dCLc *)(&_t158_storage);
            flick_fluke_check_span(50 * 8 + (50 * 8 + 29), _flick_abort741);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, _local_inp->first, double );
            flick_fluke_decode_end_chunk(12);
            for (_t159_array_iter = 0; _t159_array_iter < 50; _t159_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_inp->data[_t159_array_iter].elem1, char );
                flick_fluke_decode_signed32(4, _local_inp->data[_t159_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(8);
                continue;
              }
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_char8(0, _local_inp->last, char );
            _local_iop = (dCLc *)(&_t160_storage);
            flick_fluke_decode_float64(8, _local_iop->first, double );
            flick_fluke_decode_end_chunk(16);
            for (_t161_array_iter = 0; _t161_array_iter < 50; _t161_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t161_array_iter].elem1, char );
                flick_fluke_decode_signed32(4, _local_iop->data[_t161_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(8);
                continue;
              }
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, _local_iop->last, char );
            _local_outp = (dCLc *)(&_t162_storage);
            _ev = (mom_exc_t *)(&_t163_storage);
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1249, _flick_abort741);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t167_array_iter;
                    flick_unsigned32_t _t168_array_iter;
                    flick_unsigned32_t _t169_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_float64(4, _return.first, double );
                    flick_fluke_encode_end_chunk(12);
                    for (_t167_array_iter = 0; _t167_array_iter < 50; _t167_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_char8(0, _return.data[_t167_array_iter].elem1, char );
                        flick_fluke_encode_signed32(4, _return.data[_t167_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(16);
                    flick_fluke_encode_char8(0, _return.last, char );
                    flick_fluke_encode_float64(8, _local_iop->first, double );
                    flick_fluke_encode_end_chunk(16);
                    for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_char8(0, _local_iop->data[_t168_array_iter].elem1, char );
                        flick_fluke_encode_signed32(4, _local_iop->data[_t168_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(16);
                    flick_fluke_encode_char8(0, _local_iop->last, char );
                    flick_fluke_encode_float64(8, _local_outp->first, double );
                    flick_fluke_encode_end_chunk(16);
                    for (_t169_array_iter = 0; _t169_array_iter < 50; _t169_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_char8(0, _local_outp->data[_t169_array_iter].elem1, char );
                        flick_fluke_encode_signed32(4, _local_outp->data[_t169_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(1);
                    flick_fluke_encode_char8(0, _local_outp->last, char );
                    flick_fluke_encode_end_chunk(1);
                    flick_fluke_encode_end_glob(1249);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1249);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort787);
                    break;
                    {
                    _flick_abort787:
                      goto _flick_abort741;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort788);
                    flick_fluke_encode_end_glob(1249);
                    break;
                    {
                    _flick_abort788:
                      goto _flick_abort741;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort741:
              goto _flick_abort740;
            }
          }
          break;
          {
          _flick_abort740:
            goto _flick_abort98;
          }
        }
      case req_arrays_test_sCLs:
        {
          {
            sCLs _return;
            sCLs *_local_inp;
            sCLs _t170_storage;
            flick_unsigned32_t _t171_array_iter;
            sCLs *_local_iop;
            sCLs _t172_storage;
            flick_unsigned32_t _t173_array_iter;
            sCLs *_local_outp;
            sCLs _t174_storage;
            mom_exc_t *_ev;
            mom_exc_t _t175_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_inp = (sCLs *)(&_t170_storage);
            flick_fluke_check_span(50 * 8 + (50 * 5 + 8), _flick_abort790);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_inp->first, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            for (_t171_array_iter = 0; _t171_array_iter < 50; _t171_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _local_inp->data[_t171_array_iter].elem1, char );
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
                flick_fluke_check_span(4, _flick_abort794);
                flick_fluke_decode_signed32(0, _local_inp->data[_t171_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(4);
                continue;
                {
                _flick_abort794:
                  goto _flick_abort790;
                }
              }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_inp->last, oskit_s16_t );
            _local_iop = (sCLs *)(&_t172_storage);
            flick_fluke_decode_signed16(2, _local_iop->first, oskit_s16_t );
            flick_fluke_decode_end_chunk(4);
            for (_t173_array_iter = 0; _t173_array_iter < 50; _t173_array_iter++)
              {
                flick_fluke_decode_new_chunk(8);
                flick_fluke_decode_char8(0, _local_iop->data[_t173_array_iter].elem1, char );
                flick_fluke_decode_signed32(4, _local_iop->data[_t173_array_iter].elem2, oskit_s32_t );
                flick_fluke_decode_end_chunk(8);
                continue;
              }
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_iop->last, oskit_s16_t );
            _local_outp = (sCLs *)(&_t174_storage);
            _ev = (mom_exc_t *)(&_t175_storage);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(833);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = arrays_server_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(1216, _flick_abort790);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    flick_unsigned32_t _t179_array_iter;
                    flick_unsigned32_t _t180_array_iter;
                    flick_unsigned32_t _t181_array_iter;

                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _return.first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    for (_t179_array_iter = 0; _t179_array_iter < 50; _t179_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return.data[_t179_array_iter].elem1, char );
                        flick_fluke_encode_end_chunk(1);
                        flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
                        flick_fluke_encode_signed32(0, _return.data[_t179_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(4);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed16(0, _return.last, oskit_s16_t );
                    flick_fluke_encode_signed16(2, _local_iop->first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(4);
                    for (_t180_array_iter = 0; _t180_array_iter < 50; _t180_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_char8(0, _local_iop->data[_t180_array_iter].elem1, char );
                        flick_fluke_encode_signed32(4, _local_iop->data[_t180_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed16(0, _local_iop->last, oskit_s16_t );
                    flick_fluke_encode_signed16(2, _local_outp->first, oskit_s16_t );
                    flick_fluke_encode_end_chunk(4);
                    for (_t181_array_iter = 0; _t181_array_iter < 50; _t181_array_iter++)
                      {
                        flick_fluke_encode_new_chunk(8);
                        flick_fluke_encode_char8(0, _local_outp->data[_t181_array_iter].elem1, char );
                        flick_fluke_encode_signed32(4, _local_outp->data[_t181_array_iter].elem2, oskit_s32_t );
                        flick_fluke_encode_end_chunk(8);
                        continue;
                      }
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _local_outp->last, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(1216);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(1216);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort836);
                    break;
                    {
                    _flick_abort836:
                      goto _flick_abort790;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort837);
                    flick_fluke_encode_end_glob(1216);
                    break;
                    {
                    _flick_abort837:
                      goto _flick_abort790;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort790:
              goto _flick_abort789;
            }
          }
          break;
          {
          _flick_abort789:
            goto _flick_abort98;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort98);
          flick_fluke_decode_end_glob(833);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort98:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort97);
  _flick_abort97:
    return DISPATCH_ACK_SEND;
    goto _flick_reaper;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

