#include "mig-arrays-ool-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort1);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234002, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort9);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234003, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort9);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort15);
            break;
            {
            _flick_abort15:
              goto _flick_abort9;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
  return _return;
  {
  _flick_abort9:
    flick_mig_client_error(fluke, fluke, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort17);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234004, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort17);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort23);
            break;
            {
            _flick_abort23:
              goto _flick_abort17;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17);
  return _return;
  {
  _flick_abort17:
    flick_mig_client_error(fluke, fluke, _flick_abort16);
  _flick_abort16:
    goto _flick_reaper;
  }
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort25);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234005, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort25);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort31);
            break;
            {
            _flick_abort31:
              goto _flick_abort25;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort25);
  return _return;
  {
  _flick_abort25:
    flick_mig_client_error(fluke, fluke, _flick_abort24);
  _flick_abort24:
    goto _flick_reaper;
  }
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort33);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234006, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort33);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort33;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
  return _return;
  {
  _flick_abort33:
    flick_mig_client_error(fluke, fluke, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort41);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234007, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort41);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort41);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort47);
            break;
            {
            _flick_abort47:
              goto _flick_abort41;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
  return _return;
  {
  _flick_abort41:
    flick_mig_client_error(fluke, fluke, _flick_abort40);
  _flick_abort40:
    goto _flick_reaper;
  }
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort49);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234008, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort49);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort49);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort49;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
  return _return;
  {
  _flick_abort49:
    flick_mig_client_error(fluke, fluke, _flick_abort48);
  _flick_abort48:
    goto _flick_reaper;
  }
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort57);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234009, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort57);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort57);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort63);
            break;
            {
            _flick_abort63:
              goto _flick_abort57;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
  return _return;
  {
  _flick_abort57:
    flick_mig_client_error(fluke, fluke, _flick_abort56);
  _flick_abort56:
    goto _flick_reaper;
  }
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort65);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234010, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort65);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort65);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort71);
            break;
            {
            _flick_abort71:
              goto _flick_abort65;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort65);
  return _return;
  {
  _flick_abort65:
    flick_mig_client_error(fluke, fluke, _flick_abort64);
  _flick_abort64:
    goto _flick_reaper;
  }
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort73);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234011, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort73);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort79);
            break;
            {
            _flick_abort79:
              goto _flick_abort73;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
  return _return;
  {
  _flick_abort73:
    flick_mig_client_error(fluke, fluke, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort81);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 234012, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort81);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort81);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_fluke_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort87);
            break;
            {
            _flick_abort87:
              goto _flick_abort81;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
  return _return;
  {
  _flick_abort81:
    flick_mig_client_error(fluke, fluke, _flick_abort80);
  _flick_abort80:
    goto _flick_reaper;
  }
}

