#include "program-4-client.h"

int flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort0);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->a, short int );
  flick_fluke_encode_signed16(2, _data->b, short int );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort1);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->a, short int );
  flick_fluke_decode_signed16(2, _data->b, short int );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort2);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a, int );
  flick_fluke_encode_signed32(4, _data->b, int );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort3);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a, int );
  flick_fluke_decode_signed32(4, _data->b, int );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort4);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
  flick_fluke_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort7);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len, unsigned int );
  if (_data->long_list_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->long_list_len * 1, _flick_abort7);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

short int *addshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort12);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, arg->a, short int );
      flick_fluke_encode_signed16(6, arg->b, short int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort12);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort12);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t1_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t1_storage);
            flick_fluke_check_span(2, _flick_abort18);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_return, short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort18:
              goto _flick_abort12;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort19);
            break;
            {
            _flick_abort19:
              goto _flick_abort12;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort20);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort20:
              goto _flick_abort12;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
  return _return;
  {
  _flick_abort12:
    flick_sun_client_error(fluke, fluke, _flick_abort11);
  _flick_abort11:
    goto _flick_reaper;
  }
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort22);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, arg->a, short int );
      flick_fluke_encode_signed16(6, arg->b, short int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort22);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort22);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t3_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t3_storage);
            flick_fluke_check_span(2, _flick_abort28);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_return, short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort28:
              goto _flick_abort22;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort29);
            break;
            {
            _flick_abort29:
              goto _flick_abort22;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort30:
              goto _flick_abort22;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
  return _return;
  {
  _flick_abort22:
    flick_sun_client_error(fluke, fluke, _flick_abort21);
  _flick_abort21:
    goto _flick_reaper;
  }
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort32);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 3, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, arg->a, short int );
      flick_fluke_encode_signed16(6, arg->b, short int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort32);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort32);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t5_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t5_storage);
            flick_fluke_check_span(2, _flick_abort38);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_return, short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort38:
              goto _flick_abort32;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort39);
            break;
            {
            _flick_abort39:
              goto _flick_abort32;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort40);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort40:
              goto _flick_abort32;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort32);
  return _return;
  {
  _flick_abort32:
    flick_sun_client_error(fluke, fluke, _flick_abort31);
  _flick_abort31:
    goto _flick_reaper;
  }
}

int *addlong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort42);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, 4, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, arg->a, int );
      flick_fluke_encode_signed32(8, arg->b, int );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort42);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort42);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t7_storage);
            flick_fluke_check_span(4, _flick_abort48);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort48:
              goto _flick_abort42;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort42;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort50:
              goto _flick_abort42;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
  return _return;
  {
  _flick_abort42:
    flick_sun_client_error(fluke, fluke, _flick_abort41);
  _flick_abort41:
    goto _flick_reaper;
  }
}

int *sublong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort52);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, 5, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, arg->a, int );
      flick_fluke_encode_signed32(8, arg->b, int );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort52);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t9_storage);
            flick_fluke_check_span(4, _flick_abort58);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort58:
              goto _flick_abort52;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort59);
            break;
            {
            _flick_abort59:
              goto _flick_abort52;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort60:
              goto _flick_abort52;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort52);
  return _return;
  {
  _flick_abort52:
    flick_sun_client_error(fluke, fluke, _flick_abort51);
  _flick_abort51:
    goto _flick_reaper;
  }
}

int *multlong_1(struct long_long *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort62);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, 6, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, arg->a, int );
      flick_fluke_encode_signed32(8, arg->b, int );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort62);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t11_storage);
            flick_fluke_check_span(4, _flick_abort68);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort68:
              goto _flick_abort62;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort69);
            break;
            {
            _flick_abort69:
              goto _flick_abort62;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort70:
              goto _flick_abort62;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort62);
  return _return;
  {
  _flick_abort62:
    flick_sun_client_error(fluke, fluke, _flick_abort61);
  _flick_abort61:
    goto _flick_reaper;
  }
}

int *addlonglist_1(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort72);
      flick_fluke_encode_new_chunk(8 + 4 * arg->long_list_len);
      flick_fluke_encode_unsigned32(0, 7, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, arg->long_list_len, unsigned int );
      if (arg->long_list_len > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort72);
      flick_fluke_encode_bcopy(8, arg->long_list_val, 4 * arg->long_list_len);
      flick_fluke_encode_end_chunk(8 + 4 * arg->long_list_len);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort72);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t13_storage);
            flick_fluke_check_span(4, _flick_abort82);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort82:
              goto _flick_abort72;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort83);
            break;
            {
            _flick_abort83:
              goto _flick_abort72;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort84:
              goto _flick_abort72;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort72);
  return _return;
  {
  _flick_abort72:
    flick_sun_client_error(fluke, fluke, _flick_abort71);
  _flick_abort71:
    goto _flick_reaper;
  }
}

int *multlonglist_1(long_list *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort86);
      flick_fluke_encode_new_chunk(8 + 4 * arg->long_list_len);
      flick_fluke_encode_unsigned32(0, 8, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, arg->long_list_len, unsigned int );
      if (arg->long_list_len > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort86);
      flick_fluke_encode_bcopy(8, arg->long_list_val, 4 * arg->long_list_len);
      flick_fluke_encode_end_chunk(8 + 4 * arg->long_list_len);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort86);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t15_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t15_storage);
            flick_fluke_check_span(4, _flick_abort96);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort96:
              goto _flick_abort86;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort97);
            break;
            {
            _flick_abort97:
              goto _flick_abort86;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort98:
              goto _flick_abort86;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort86);
  return _return;
  {
  _flick_abort86:
    flick_sun_client_error(fluke, fluke, _flick_abort85);
  _flick_abort85:
    goto _flick_reaper;
  }
}

