#ifndef _parm__client_h_
#define _parm__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

enum Enumeration {
  ONE = 0,
  TWO = 1
} ;


typedef enum Enumeration &Enumeration_out;

int flick_marshal_stub(flick_marshal_stream_t _stream, const enum Enumeration *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, enum Enumeration *_data);

struct FStruct {
  CORBA::Short a;
} ;


class FStruct_var {

public:
  FStruct_var();
  FStruct_var(struct FStruct *p);
  FStruct_var(const FStruct_var &a);
  ~FStruct_var();
  FStruct_var &operator=(struct FStruct *p);
  FStruct_var &operator=(const FStruct_var &p);
  struct FStruct *operator->();
  const struct FStruct *operator->() const;
  operator const struct FStruct &() const;
  operator struct FStruct &();
  operator struct FStruct &() const;
  const struct FStruct &in() const;
  struct FStruct &inout();
  struct FStruct &out();
  struct FStruct _retn();
  struct FStruct *ptr() const;

private:
  struct FStruct *ptr_;
} ;


typedef struct FStruct &FStruct_out;

void operator<<=(CORBA::Any &a, const struct FStruct &o);

void operator<<=(CORBA::Any &a, struct FStruct *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct FStruct *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct FStruct *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct FStruct *_data);

struct VStruct {

public:
  TAO_String_Manager a;
} ;


class VStruct_var {

public:
  VStruct_var();
  VStruct_var(struct VStruct *p);
  VStruct_var(const VStruct_var &a);
  ~VStruct_var();
  VStruct_var &operator=(struct VStruct *p);
  VStruct_var &operator=(const VStruct_var &p);
  struct VStruct *operator->();
  const struct VStruct *operator->() const;
  operator const struct VStruct &() const;
  operator struct VStruct &();
  operator struct VStruct &() const;
  const struct VStruct &in() const;
  struct VStruct &inout();
  struct VStruct *&out();
  struct VStruct *_retn();
  struct VStruct *ptr() const;

private:
  struct VStruct *ptr_;
} ;


class VStruct_out {

public:
  VStruct_out(struct VStruct *&r);
  VStruct_out(VStruct_var &r);
  VStruct_out(const VStruct_out &r);
  VStruct_out &operator=(const VStruct_out &r);

private:
  VStruct_out &operator=(const VStruct_var &r);

public:
  VStruct_out &operator=(struct VStruct *r);
  operator struct VStruct *&();
  struct VStruct *&ptr();
  struct VStruct *operator->();

private:
  struct VStruct *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const struct VStruct &o);

void operator<<=(CORBA::Any &a, struct VStruct *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct VStruct *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const struct VStruct *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, struct VStruct *_data);

class FUnion : public TAO_Base_Union {

public:
  FUnion();
  FUnion(const FUnion &o);
  virtual ~FUnion();
  FUnion &operator=(const FUnion &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Long disc_;
  void _d(CORBA::Long _d_);
  CORBA::Long _d() const;
  void x(CORBA::Long v);
  CORBA::Long x() const;
  void z(CORBA::Char v);
  CORBA::Char z() const;
  union {

  public:
    CORBA::Long x;
    CORBA::Char z;
  } _u;
} ;


class FUnion_var {

public:
  FUnion_var();
  FUnion_var(FUnion *p);
  FUnion_var(const FUnion_var &a);
  ~FUnion_var();
  FUnion_var &operator=(FUnion *p);
  FUnion_var &operator=(const FUnion_var &p);
  FUnion *operator->();
  const FUnion *operator->() const;
  operator const FUnion &() const;
  operator FUnion &();
  operator FUnion &() const;
  const FUnion &in() const;
  FUnion &inout();
  FUnion &out();
  FUnion _retn();
  FUnion *ptr() const;

private:
  FUnion *ptr_;
} ;


typedef FUnion &FUnion_out;

void operator<<=(CORBA::Any &a, const FUnion &o);

void operator<<=(CORBA::Any &a, FUnion *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, FUnion *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const FUnion *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, FUnion *_data);

class VUnion : public TAO_Base_Union {

public:
  VUnion();
  VUnion(const VUnion &o);
  virtual ~VUnion();
  VUnion &operator=(const VUnion &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Long disc_;
  void _d(CORBA::Long _d_);
  CORBA::Long _d() const;
  void a(char *v);
  void a(const char *v);
  void a(const CORBA::String_var &v);
  const char *a() const;
  void z(CORBA::Char v);
  CORBA::Char z() const;
  union {

  public:
    char *a;
    CORBA::Char z;
  } _u;
} ;


class VUnion_var {

public:
  VUnion_var();
  VUnion_var(VUnion *p);
  VUnion_var(const VUnion_var &a);
  ~VUnion_var();
  VUnion_var &operator=(VUnion *p);
  VUnion_var &operator=(const VUnion_var &p);
  VUnion *operator->();
  const VUnion *operator->() const;
  operator const VUnion &() const;
  operator VUnion &();
  operator VUnion &() const;
  const VUnion &in() const;
  VUnion &inout();
  VUnion *&out();
  VUnion *_retn();
  VUnion *ptr() const;

private:
  VUnion *ptr_;
} ;


class VUnion_out {

public:
  VUnion_out(VUnion *&r);
  VUnion_out(VUnion_var &r);
  VUnion_out(const VUnion_out &r);
  VUnion_out &operator=(const VUnion_out &r);

private:
  VUnion_out &operator=(const VUnion_var &r);

public:
  VUnion_out &operator=(VUnion *r);
  operator VUnion *&();
  VUnion *&ptr();
  VUnion *operator->();

private:
  VUnion *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const VUnion &o);

void operator<<=(CORBA::Any &a, VUnion *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, VUnion *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const VUnion *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, VUnion *_data);

class test ;


typedef test *test_ptr;

class test_var {

public:
  test_var();
  test_var(test_ptr p);
  test_var(const test_var &a);
  ~test_var();
  test_var &operator=(test_ptr p);
  test_var &operator=(const test_var &p);
  test_ptr operator->() const;
  operator const test_ptr &() const;
  operator test_ptr &();
  test_ptr in() const;
  test_ptr &inout();
  test_ptr &out();
  test_ptr _retn();
  test_ptr ptr() const;

private:
  test_ptr ptr_;
} ;


class test_out {

public:
  test_out(test_ptr &r);
  test_out(test_var &r);
  test_out(const test_out &r);
  test_out &operator=(const test_out &r);
  test_out &operator=(const test_var &r);
  test_out &operator=(test_ptr r);
  operator test_ptr &();
  test_ptr &ptr();
  test_ptr operator->();

private:
  test_ptr &ptr_;
} ;


class test : public virtual ACE_CORBA_1 (Object) {

public:
  static test_ptr _duplicate(test_ptr obj);
  static test_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static test_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  test();
  virtual ~test();

private:
  test(const test &v);
  void operator=(const test &v);

public:
  typedef CORBA::Long arr[10];
  typedef CORBA::Long arr_slice;
  class arr_var {

  public:
    arr_var();
    arr_var(test::arr_slice *p);
    arr_var(const test::arr_var &a);
    ~arr_var();
    test::arr_var &operator=(test::arr_slice *p);
    test::arr_var &operator=(const test::arr_var &p);
    test::arr_slice &operator[](CORBA::ULong index);
    const test::arr_slice &operator[](CORBA::ULong index) const;
    operator test::arr_slice *const &() const;
    operator test::arr_slice *&();
    const test::arr_slice *in() const;
    test::arr_slice *inout();
    test::arr_slice *&out();
    test::arr_slice *_retn();
    test::arr_slice *ptr() const;

  private:
    CORBA::Long *ptr_;
  } ;

  class arr_forany {

  public:
    arr_forany();
    arr_forany(test::arr_slice *p, CORBA::Boolean nocopy = 0);
    arr_forany(const test::arr_forany &a);
    ~arr_forany();
    test::arr_forany &operator=(test::arr_slice *p);
    test::arr_forany &operator=(const test::arr_forany &p);
    test::arr_slice &operator[](CORBA::ULong index);
    const test::arr_slice &operator[](CORBA::ULong index) const;
    operator test::arr_slice *const &() const;
    operator test::arr_slice *&();
    const test::arr_slice *in() const;
    test::arr_slice *inout();
    test::arr_slice *&out();
    test::arr_slice *_retn();
    test::arr_slice *ptr() const;
    CORBA::Boolean nocopy() const;

  private:
    CORBA::Long *ptr_;
    CORBA::Boolean nocopy_;
  } ;

  typedef test::arr arr_out;
  static test::arr_slice *arr_alloc();
  static test::arr_slice *arr_dup(const test::arr_slice *_slice);
  static void arr_copy(test::arr_slice *_to_slice, const test::arr_slice *_from_slice);
  static void arr_free(test::arr_slice *_slice);
  class seq {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    CORBA::Long *_buffer;
    CORBA::Boolean _release;
    seq();
    seq(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
    seq(const test::seq &o);
    virtual ~seq();
    test::seq &operator=(const test::seq &rhs);
    CORBA::Long &operator[](CORBA::ULong i);
    const CORBA::Long &operator[](CORBA::ULong i) const;
    static CORBA::Long *allocbuf(CORBA::ULong size);
    static void freebuf(CORBA::Long *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
    const CORBA::Long *get_buffer() const;
  } ;

  typedef test::seq *seq_ptr;
  class seq_var {

  public:
    seq_var();
    seq_var(test::seq *p);
    seq_var(const test::seq_var &a);
    ~seq_var();
    test::seq_var &operator=(test::seq *p);
    test::seq_var &operator=(const test::seq_var &p);
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    test::seq *operator->();
    const test::seq *operator->() const;
    operator const test::seq &() const;
    operator test::seq &();
    operator test::seq &() const;
    const test::seq &in() const;
    test::seq &inout();
    test::seq *&out();
    test::seq *_retn();
    test::seq *ptr() const;

  private:
    test::seq_ptr ptr_;
  } ;

  class seq_out {

  public:
    seq_out(test::seq *&r);
    seq_out(test::seq_var &r);
    seq_out(const test::seq_out &r);
    test::seq_out &operator=(const test::seq_out &r);

  private:
    test::seq_out &operator=(const test::seq_var &r);

  public:
    test::seq_out &operator=(test::seq *r);
    operator test::seq *&();
    test::seq *&ptr();
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    test::seq *operator->();

  private:
    test::seq_ptr &ptr_;
  } ;

  virtual CORBA::Short Short(/* test *this, */ CORBA::Short a, CORBA::Short &b, CORBA::Short &c, CORBA::Environment &_ev);
  virtual CORBA::Long Long(/* test *this, */ CORBA::Long a, CORBA::Long &b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::UShort UShort(/* test *this, */ CORBA::UShort a, CORBA::UShort &b, CORBA::UShort &c, CORBA::Environment &_ev);
  virtual CORBA::ULong ULong(/* test *this, */ CORBA::ULong a, CORBA::ULong &b, CORBA::ULong &c, CORBA::Environment &_ev);
  virtual CORBA::Float Float(/* test *this, */ CORBA::Float a, CORBA::Float &b, CORBA::Float &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean Boolean(/* test *this, */ CORBA::Boolean a, CORBA::Boolean &b, CORBA::Boolean &c, CORBA::Environment &_ev);
  virtual CORBA::Char Char(/* test *this, */ CORBA::Char a, CORBA::Char &b, CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Octet Octet(/* test *this, */ CORBA::Octet a, CORBA::Octet &b, CORBA::Octet &c, CORBA::Environment &_ev);
  virtual enum Enumeration Enum(/* test *this, */ enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev);
  virtual struct FStruct FixedStruct(/* test *this, */ const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev);
  virtual struct VStruct *VarStruct(/* test *this, */ const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev);
  virtual FUnion FixedUnion(/* test *this, */ const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev);
  virtual VUnion *VarUnion(/* test *this, */ const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev);
  virtual char *String(/* test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev);
  virtual char *BoundString(/* test *this, */ const char *a, char *&b, CORBA::String_out c, CORBA::Environment &_ev);
  virtual test::arr_slice *Array(/* test *this, */ const test::arr a, test::arr b, test::arr_out c, CORBA::Environment &_ev);
  virtual test::seq *Sequence(/* test *this, */ const test::seq &a, test::seq &b, test::seq_out c, CORBA::Environment &_ev);

protected:
  test(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);

public:
  static CORBA::TypeCode_ptr _tc_arr;
  static CORBA::TypeCode_ptr _tc_seq;
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const test_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test_ptr *_data);

void operator<<=(CORBA::Any &a, test_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o);

void operator<<=(CORBA::Any &a, const test::arr_forany &o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test::arr_forany &o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const test::arr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test::arr *_data);

void operator<<=(CORBA::Any &a, const test::seq &o);

void operator<<=(CORBA::Any &a, test::seq *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, test::seq *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const test::seq *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, test::seq *_data);

extern CORBA::TypeCode_ptr _tc_FStruct;

extern CORBA::TypeCode_ptr _tc_VStruct;

extern CORBA::TypeCode_ptr _tc_FUnion;

extern CORBA::TypeCode_ptr _tc_VUnion;

extern CORBA::TypeCode_ptr _tc_test;

#endif /* _parm__client_h_ */
