#ifndef _unionplain__client_h_
#define _unionplain__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class Foo : public TAO_Base_Union {

public:
  Foo();
  Foo(const Foo &o);
  virtual ~Foo();
  Foo &operator=(const Foo &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Long disc_;
  void _d(CORBA::Long _d_);
  CORBA::Long _d() const;
  void x(CORBA::Long v);
  CORBA::Long x() const;
  void y(CORBA::Short v);
  CORBA::Short y() const;
  void z(CORBA::Char v);
  CORBA::Char z() const;
  union {

  public:
    CORBA::Long x;
    CORBA::Short y;
    CORBA::Char z;
  } _u;
} ;


class Foo_var {

public:
  Foo_var();
  Foo_var(Foo *p);
  Foo_var(const Foo_var &a);
  ~Foo_var();
  Foo_var &operator=(Foo *p);
  Foo_var &operator=(const Foo_var &p);
  Foo *operator->();
  const Foo *operator->() const;
  operator const Foo &() const;
  operator Foo &();
  operator Foo &() const;
  const Foo &in() const;
  Foo &inout();
  Foo &out();
  Foo _retn();
  Foo *ptr() const;

private:
  Foo *ptr_;
} ;


typedef Foo &Foo_out;

void operator<<=(CORBA::Any &a, const Foo &o);

void operator<<=(CORBA::Any &a, Foo *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo *_data);

class Foo2 : public TAO_Base_Union {

public:
  Foo2();
  Foo2(const Foo2 &o);
  virtual ~Foo2();
  Foo2 &operator=(const Foo2 &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Char disc_;
  void _d(CORBA::Char _d_);
  CORBA::Char _d() const;
  void x(CORBA::Long v);
  CORBA::Long x() const;
  void y(CORBA::Short v);
  CORBA::Short y() const;
  void z(CORBA::Char v);
  CORBA::Char z() const;
  union {

  public:
    CORBA::Long x;
    CORBA::Short y;
    CORBA::Char z;
  } _u;
} ;


class Foo2_var {

public:
  Foo2_var();
  Foo2_var(Foo2 *p);
  Foo2_var(const Foo2_var &a);
  ~Foo2_var();
  Foo2_var &operator=(Foo2 *p);
  Foo2_var &operator=(const Foo2_var &p);
  Foo2 *operator->();
  const Foo2 *operator->() const;
  operator const Foo2 &() const;
  operator Foo2 &();
  operator Foo2 &() const;
  const Foo2 &in() const;
  Foo2 &inout();
  Foo2 &out();
  Foo2 _retn();
  Foo2 *ptr() const;

private:
  Foo2 *ptr_;
} ;


typedef Foo2 &Foo2_out;

void operator<<=(CORBA::Any &a, const Foo2 &o);

void operator<<=(CORBA::Any &a, Foo2 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo2 *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo2 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo2 *_data);

class Foo3 : public TAO_Base_Union {

public:
  Foo3();
  Foo3(const Foo3 &o);
  virtual ~Foo3();
  Foo3 &operator=(const Foo3 &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Short disc_;
  void _d(CORBA::Short _d_);
  CORBA::Short _d() const;
  void a(CORBA::Short v);
  CORBA::Short a() const;
  void b(CORBA::Long v);
  CORBA::Long b() const;
  void c(CORBA::Char v);
  CORBA::Char c() const;
  union {

  public:
    CORBA::Short a;
    CORBA::Long b;
    CORBA::Char c;
  } _u;
} ;


class Foo3_var {

public:
  Foo3_var();
  Foo3_var(Foo3 *p);
  Foo3_var(const Foo3_var &a);
  ~Foo3_var();
  Foo3_var &operator=(Foo3 *p);
  Foo3_var &operator=(const Foo3_var &p);
  Foo3 *operator->();
  const Foo3 *operator->() const;
  operator const Foo3 &() const;
  operator Foo3 &();
  operator Foo3 &() const;
  const Foo3 &in() const;
  Foo3 &inout();
  Foo3 &out();
  Foo3 _retn();
  Foo3 *ptr() const;

private:
  Foo3 *ptr_;
} ;


typedef Foo3 &Foo3_out;

void operator<<=(CORBA::Any &a, const Foo3 &o);

void operator<<=(CORBA::Any &a, Foo3 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo3 *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo3 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo3 *_data);

class Foo4 : public TAO_Base_Union {

public:
  Foo4();
  Foo4(const Foo4 &o);
  virtual ~Foo4();
  Foo4 &operator=(const Foo4 &o);

private:
  void _reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_);
  virtual void *_discriminant();
  virtual void _reset();
  virtual void *_access(CORBA::Boolean flag);

public:
  CORBA::Long disc_;
  void _d(CORBA::Long _d_);
  CORBA::Long _d() const;
  void a(char *v);
  void a(const char *v);
  void a(const CORBA::String_var &v);
  const char *a() const;
  class flick_sequence_long {

  public:
    CORBA::ULong _maximum;
    CORBA::ULong _length;
    CORBA::Long *_buffer;
    CORBA::Boolean _release;
    flick_sequence_long();
    flick_sequence_long(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
    flick_sequence_long(const Foo4::flick_sequence_long &o);
    virtual ~flick_sequence_long();
    Foo4::flick_sequence_long &operator=(const Foo4::flick_sequence_long &rhs);
    CORBA::Long &operator[](CORBA::ULong i);
    const CORBA::Long &operator[](CORBA::ULong i) const;
    static CORBA::Long *allocbuf(CORBA::ULong size);
    static void freebuf(CORBA::Long *buffer);
    virtual void _allocate_buffer(CORBA::ULong length);
    virtual void _deallocate_buffer();
    CORBA::Boolean release() const;
    CORBA::ULong maximum() const;
    CORBA::ULong length() const;
    void length(CORBA::ULong length);
    virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
    CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
    const CORBA::Long *get_buffer() const;
  } ;

  typedef Foo4::flick_sequence_long *flick_sequence_long_ptr;
  class flick_sequence_long_var {

  public:
    flick_sequence_long_var();
    flick_sequence_long_var(Foo4::flick_sequence_long *p);
    flick_sequence_long_var(const Foo4::flick_sequence_long_var &a);
    ~flick_sequence_long_var();
    Foo4::flick_sequence_long_var &operator=(Foo4::flick_sequence_long *p);
    Foo4::flick_sequence_long_var &operator=(const Foo4::flick_sequence_long_var &p);
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    Foo4::flick_sequence_long *operator->();
    const Foo4::flick_sequence_long *operator->() const;
    operator const Foo4::flick_sequence_long &() const;
    operator Foo4::flick_sequence_long &();
    operator Foo4::flick_sequence_long &() const;
    const Foo4::flick_sequence_long &in() const;
    Foo4::flick_sequence_long &inout();
    Foo4::flick_sequence_long *&out();
    Foo4::flick_sequence_long *_retn();
    Foo4::flick_sequence_long *ptr() const;

  private:
    Foo4::flick_sequence_long_ptr ptr_;
  } ;

  class flick_sequence_long_out {

  public:
    flick_sequence_long_out(Foo4::flick_sequence_long *&r);
    flick_sequence_long_out(Foo4::flick_sequence_long_var &r);
    flick_sequence_long_out(const Foo4::flick_sequence_long_out &r);
    Foo4::flick_sequence_long_out &operator=(const Foo4::flick_sequence_long_out &r);

  private:
    Foo4::flick_sequence_long_out &operator=(const Foo4::flick_sequence_long_var &r);

  public:
    Foo4::flick_sequence_long_out &operator=(Foo4::flick_sequence_long *r);
    operator Foo4::flick_sequence_long *&();
    Foo4::flick_sequence_long *&ptr();
    CORBA::Long &operator[](CORBA::ULong index);
    const CORBA::Long &operator[](CORBA::ULong index) const;
    Foo4::flick_sequence_long *operator->();

  private:
    Foo4::flick_sequence_long_ptr &ptr_;
  } ;

  void b(const Foo4::flick_sequence_long &v);
  const Foo4::flick_sequence_long &b() const;
  Foo4::flick_sequence_long &b();
  void c(CORBA::Long v);
  CORBA::Long c() const;
  union {

  public:
    char *a;
    Foo4::flick_sequence_long *b;
    CORBA::Long c;
  } _u;
  static CORBA::TypeCode_ptr _tc_flick_sequence_long;
} ;


class Foo4_var {

public:
  Foo4_var();
  Foo4_var(Foo4 *p);
  Foo4_var(const Foo4_var &a);
  ~Foo4_var();
  Foo4_var &operator=(Foo4 *p);
  Foo4_var &operator=(const Foo4_var &p);
  Foo4 *operator->();
  const Foo4 *operator->() const;
  operator const Foo4 &() const;
  operator Foo4 &();
  operator Foo4 &() const;
  const Foo4 &in() const;
  Foo4 &inout();
  Foo4 *&out();
  Foo4 *_retn();
  Foo4 *ptr() const;

private:
  Foo4 *ptr_;
} ;


class Foo4_out {

public:
  Foo4_out(Foo4 *&r);
  Foo4_out(Foo4_var &r);
  Foo4_out(const Foo4_out &r);
  Foo4_out &operator=(const Foo4_out &r);

private:
  Foo4_out &operator=(const Foo4_var &r);

public:
  Foo4_out &operator=(Foo4 *r);
  operator Foo4 *&();
  Foo4 *&ptr();
  Foo4 *operator->();

private:
  Foo4 *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const Foo4 &o);

void operator<<=(CORBA::Any &a, Foo4 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo4 *&o);

int flick_marshal_stub(flick_marshal_stream_t _stream, const Foo4 *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, Foo4 *_data);

class un ;


typedef un *un_ptr;

class un_var {

public:
  un_var();
  un_var(un_ptr p);
  un_var(const un_var &a);
  ~un_var();
  un_var &operator=(un_ptr p);
  un_var &operator=(const un_var &p);
  un_ptr operator->() const;
  operator const un_ptr &() const;
  operator un_ptr &();
  un_ptr in() const;
  un_ptr &inout();
  un_ptr &out();
  un_ptr _retn();
  un_ptr ptr() const;

private:
  un_ptr ptr_;
} ;


class un_out {

public:
  un_out(un_ptr &r);
  un_out(un_var &r);
  un_out(const un_out &r);
  un_out &operator=(const un_out &r);
  un_out &operator=(const un_var &r);
  un_out &operator=(un_ptr r);
  operator un_ptr &();
  un_ptr &ptr();
  un_ptr operator->();

private:
  un_ptr &ptr_;
} ;


class un : public virtual ACE_CORBA_1 (Object) {

public:
  static un_ptr _duplicate(un_ptr obj);
  static un_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static un_ptr _unchecked_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static un_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  un();
  virtual ~un();

private:
  un(const un &v);
  void operator=(const un &v);

public:
  virtual Foo one(/* un *this, */ const Foo2 &a, CORBA::Environment &_ev);
  virtual Foo3 two(/* un *this, */ const Foo4 &a, CORBA::Environment &_ev);

protected:
  un(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub(flick_marshal_stream_t _stream, const un_ptr *_data);

int flick_unmarshal_stub(flick_marshal_stream_t _stream, un_ptr *_data);

void operator<<=(CORBA::Any &a, un_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, un_ptr &o);

extern CORBA::TypeCode_ptr _tc_Foo;

extern CORBA::TypeCode_ptr _tc_Foo2;

extern CORBA::TypeCode_ptr _tc_Foo3;

extern CORBA::TypeCode_ptr _tc_Foo4;

extern CORBA::TypeCode_ptr _tc_un;

#endif /* _unionplain__client_h_ */
