#include "IIOP-client.h"

/* This is the runtime type information */
/* */

int flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->major, CORBA_char );
  flick_xdr_encode_char8(4, _data->minor, CORBA_char );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->major, CORBA_char );
  flick_xdr_decode_char8(4, _data->minor, CORBA_char );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort4);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->context_id, CORBA_unsigned_long );
  flick_xdr_encode_unsigned32(4, _data->context_data._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(1 * _data->context_data._length, _flick_abort4);
  flick_suntcp_encode_new_chunk(1 * _data->context_data._length);
  flick_xdr_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_suntcp_encode_end_chunk(1 * _data->context_data._length);
  flick_suntcp_encode_end_glob(1 * _data->context_data._length);
  flick_suntcp_encode_new_glob(3, _flick_abort4);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort7);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->context_id, CORBA_unsigned_long );
  flick_xdr_decode_unsigned32(4, _data->context_data._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(1 * _data->context_data._length);
  flick_suntcp_check_span(1 * _data->context_data._length * 1, _flick_abort7);
  flick_suntcp_decode_new_chunk(1 * _data->context_data._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->context_data._length + 1) * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->context_data._buffer = _t_alloc_ptr;
    _data->context_data._maximum = _data->context_data._length + 1;
    _data->context_data._release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_suntcp_decode_end_chunk(1 * _data->context_data._length);
  flick_suntcp_decode_end_glob(1 * _data->context_data._length);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort10);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort10:
    CORBA_flick_free(_data->context_data._buffer);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort11);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_glob(8, _flick_abort21);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t0_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t0_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(1 * _data->_buffer[_t0_array_iter].context_data._length, _flick_abort21);
      flick_suntcp_encode_new_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t0_array_iter].context_data._buffer, 1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_suntcp_encode_end_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_suntcp_encode_new_glob(3, _flick_abort21);
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
      flick_suntcp_encode_end_glob(3);
      continue;
      {
      _flick_abort21:
        goto _flick_abort11;
      }
    }
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort27);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 8, _flick_abort40);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t1_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_suntcp_check_span(1 * _data->_buffer[_t1_array_iter].context_data._length * 1, _flick_abort41);
      flick_suntcp_decode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->_buffer[_t1_array_iter].context_data._length + 1) * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
        _data->_buffer[_t1_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->_buffer[_t1_array_iter].context_data._maximum = _data->_buffer[_t1_array_iter].context_data._length + 1;
        _data->_buffer[_t1_array_iter].context_data._release = 1;
      }
      flick_xdr_decode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_suntcp_decode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_suntcp_decode_new_glob(3);
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_check_span(0, _flick_abort48);
      flick_suntcp_decode_end_chunk(0);
      flick_suntcp_decode_end_glob(3);
      continue;
      {
      _flick_abort51:
        _t1_array_iter--;
      _flick_abort48:
        CORBA_flick_free(_data->_buffer[_t1_array_iter].context_data._buffer);
      _flick_abort41:
        if ((unsigned int )_t1_array_iter < _data->_length)
          goto _flick_abort51;
        goto _flick_abort40;
      }
    }
  return 0;
  {
  _flick_abort40:
    CORBA_flick_free(_data->_buffer);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort54);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort55);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort55:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort56);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort56:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort57);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(36, _flick_abort58);
  for (_t2_array_iter = 0; _t2_array_iter < 4; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_char8(0, _data->magic[_t2_array_iter], CORBA_char );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  flick_suntcp_encode_new_chunk(20);
  flick_xdr_encode_char8(0, _data->GIOP_version.major, CORBA_char );
  flick_xdr_encode_char8(4, _data->GIOP_version.minor, CORBA_char );
  flick_xdr_encode_unsigned8(8, _data->byte_order, CORBA_boolean );
  flick_xdr_encode_unsigned8(12, _data->message_type, CORBA_octet );
  flick_xdr_encode_unsigned32(16, _data->message_size, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(36);
  return 0;
  {
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(36);
  flick_suntcp_check_span(4 * 4 + 20, _flick_abort64);
  for (_t3_array_iter = 0; _t3_array_iter < 4; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_char8(0, _data->magic[_t3_array_iter], CORBA_char );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
  flick_suntcp_decode_new_chunk(20);
  flick_xdr_decode_char8(0, _data->GIOP_version.major, CORBA_char );
  flick_xdr_decode_char8(4, _data->GIOP_version.minor, CORBA_char );
  flick_xdr_decode_unsigned8(8, _data->byte_order, CORBA_boolean );
  flick_xdr_decode_unsigned8(12, _data->message_type, CORBA_octet );
  flick_xdr_decode_unsigned32(16, _data->message_size, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(36);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t4_array_iter;
  flick_unsigned32_t _t5_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->operation, flick_unsigned32_t , _t5_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort70);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->service_context._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t4_array_iter = 0; _t4_array_iter < _data->service_context._length; _t4_array_iter++)
    {
      flick_suntcp_encode_new_glob(8, _flick_abort80);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->service_context._buffer[_t4_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_encode_unsigned32(4, _data->service_context._buffer[_t4_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(1 * _data->service_context._buffer[_t4_array_iter].context_data._length, _flick_abort80);
      flick_suntcp_encode_new_chunk(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->service_context._buffer[_t4_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_suntcp_encode_end_glob(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_suntcp_encode_new_glob(3, _flick_abort80);
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
      flick_suntcp_encode_end_glob(3);
      continue;
      {
      _flick_abort80:
        goto _flick_abort70;
      }
    }
  flick_suntcp_encode_new_glob(12, _flick_abort70);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_encode_unsigned8(4, _data->response_expected, CORBA_boolean );
  flick_xdr_encode_unsigned32(8, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_suntcp_encode_new_glob(1 * _data->object_key._length, _flick_abort70);
  flick_suntcp_encode_new_chunk(1 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_encode_end_glob(1 * _data->object_key._length);
  flick_suntcp_encode_new_glob(7, _flick_abort70);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
  flick_suntcp_encode_new_glob(1 * _t5_temp_string_len, _flick_abort70);
  flick_suntcp_encode_new_chunk(1 * _t5_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->operation, 1 * _t5_temp_string_len);
  flick_suntcp_encode_end_chunk(1 * _t5_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t5_temp_string_len);
  flick_suntcp_encode_new_glob(7, _flick_abort70);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_port32(0, _data->requesting_principal, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  CORBA_unsigned_long _t6_array_iter;
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(16, _flick_abort90);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->service_context._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc((_data->service_context._length + 1) * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort90);
    _data->service_context._buffer = _t_alloc_ptr;
    _data->service_context._maximum = _data->service_context._length + 1;
    _data->service_context._release = 1;
  }
  flick_suntcp_check_span(16 - 16 + 12 + _data->service_context._length * 8, _flick_abort103);
  for (_t6_array_iter = 0; _t6_array_iter < _data->service_context._length; _t6_array_iter++)
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->service_context._buffer[_t6_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_decode_unsigned32(4, _data->service_context._buffer[_t6_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(1 * _data->service_context._buffer[_t6_array_iter].context_data._length);
      flick_suntcp_check_span(1 * _data->service_context._buffer[_t6_array_iter].context_data._length * 1, _flick_abort104);
      flick_suntcp_decode_new_chunk(1 * _data->service_context._buffer[_t6_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->service_context._buffer[_t6_array_iter].context_data._length + 1) * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort104);
        _data->service_context._buffer[_t6_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->service_context._buffer[_t6_array_iter].context_data._maximum = _data->service_context._buffer[_t6_array_iter].context_data._length + 1;
        _data->service_context._buffer[_t6_array_iter].context_data._release = 1;
      }
      flick_xdr_decode_bcopy(0, _data->service_context._buffer[_t6_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t6_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(1 * _data->service_context._buffer[_t6_array_iter].context_data._length);
      flick_suntcp_decode_end_glob(1 * _data->service_context._buffer[_t6_array_iter].context_data._length);
      flick_suntcp_decode_new_glob(3);
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_check_span(0, _flick_abort111);
      flick_suntcp_decode_end_chunk(0);
      flick_suntcp_decode_end_glob(3);
      continue;
    _flick_abort_block125:
      {
        _t6_array_iter = _data->service_context._length;
      _flick_abort114:
        _t6_array_iter--;
      _flick_abort111:
        CORBA_flick_free(_data->service_context._buffer[_t6_array_iter].context_data._buffer);
      _flick_abort104:
        if ((unsigned int )_t6_array_iter < _data->service_context._length)
          goto _flick_abort114;
        goto _flick_abort103;
      }
    }
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_decode_unsigned8(4, _data->response_expected, CORBA_boolean );
  flick_xdr_decode_unsigned32(8, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_suntcp_decode_new_glob(1 * _data->object_key._length);
  flick_suntcp_check_span(1 * _data->object_key._length * 1, _flick_abort116);
  flick_suntcp_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->object_key._length + 1) * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort116);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length + 1;
    _data->object_key._release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_decode_end_glob(1 * _data->object_key._length);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_suntcp_check_span(4, _flick_abort119);
  flick_xdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
  flick_suntcp_decode_new_glob(1 * _t7_temp_string_len);
  flick_suntcp_check_span(1 * _t7_temp_string_len * 1, _flick_abort119);
  flick_suntcp_decode_new_chunk(1 * _t7_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t7_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort119);
    _data->operation = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->operation, 1 * _t7_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t7_temp_string_len);
  flick_suntcp_decode_end_glob(1 * _t7_temp_string_len);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_suntcp_check_span(4, _flick_abort122);
  _data->operation[_t7_temp_string_len] = 0;
  flick_xdr_decode_port32(0, _data->requesting_principal, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
  return 0;
  {
  _flick_abort122:
    CORBA_flick_free(_data->operation);
  _flick_abort119:
    CORBA_flick_free(_data->object_key._buffer);
  _flick_abort116:
    goto _flick_abort_block125;
  _flick_abort103:
    CORBA_flick_free(_data->service_context._buffer);
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort123);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort124);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort124:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t8_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort125);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->server_context._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t8_array_iter = 0; _t8_array_iter < _data->server_context._length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_glob(8, _flick_abort135);
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_unsigned32(0, _data->server_context._buffer[_t8_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_encode_unsigned32(4, _data->server_context._buffer[_t8_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_encode_end_chunk(8);
      flick_suntcp_encode_end_glob(8);
      flick_suntcp_encode_new_glob(1 * _data->server_context._buffer[_t8_array_iter].context_data._length, _flick_abort135);
      flick_suntcp_encode_new_chunk(1 * _data->server_context._buffer[_t8_array_iter].context_data._length);
      flick_xdr_encode_bcopy(0, _data->server_context._buffer[_t8_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t8_array_iter].context_data._length);
      flick_suntcp_encode_end_chunk(1 * _data->server_context._buffer[_t8_array_iter].context_data._length);
      flick_suntcp_encode_end_glob(1 * _data->server_context._buffer[_t8_array_iter].context_data._length);
      flick_suntcp_encode_new_glob(3, _flick_abort135);
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
      flick_suntcp_encode_end_glob(3);
      continue;
      {
      _flick_abort135:
        goto _flick_abort125;
      }
    }
  flick_suntcp_encode_new_glob(8, _flick_abort125);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_encode_unsigned32(4, _data->reply_status, CORBA_enum );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort125:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(12, _flick_abort141);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->server_context._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  {
    struct IOP_ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct IOP_ServiceContext *)(CORBA_flick_alloc((_data->server_context._length + 1) * sizeof(struct IOP_ServiceContext )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort141);
    _data->server_context._buffer = _t_alloc_ptr;
    _data->server_context._maximum = _data->server_context._length + 1;
    _data->server_context._release = 1;
  }
  flick_suntcp_check_span(12 - 12 + 8 + _data->server_context._length * 8, _flick_abort154);
  for (_t9_array_iter = 0; _t9_array_iter < _data->server_context._length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_unsigned32(0, _data->server_context._buffer[_t9_array_iter].context_id, CORBA_unsigned_long );
      flick_xdr_decode_unsigned32(4, _data->server_context._buffer[_t9_array_iter].context_data._length, CORBA_unsigned_long );
      flick_suntcp_decode_end_chunk(8);
      flick_suntcp_decode_end_glob(8);
      flick_suntcp_decode_new_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_suntcp_check_span(1 * _data->server_context._buffer[_t9_array_iter].context_data._length * 1, _flick_abort155);
      flick_suntcp_decode_new_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      {
        CORBA_octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->server_context._buffer[_t9_array_iter].context_data._length + 1) * sizeof(CORBA_octet )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort155);
        _data->server_context._buffer[_t9_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->server_context._buffer[_t9_array_iter].context_data._maximum = _data->server_context._buffer[_t9_array_iter].context_data._length + 1;
        _data->server_context._buffer[_t9_array_iter].context_data._release = 1;
      }
      flick_xdr_decode_bcopy(0, _data->server_context._buffer[_t9_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_suntcp_decode_end_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_suntcp_decode_end_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_suntcp_decode_new_glob(3);
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_check_span(0, _flick_abort162);
      flick_suntcp_decode_end_chunk(0);
      flick_suntcp_decode_end_glob(3);
      continue;
      {
      _flick_abort165:
        _t9_array_iter--;
      _flick_abort162:
        CORBA_flick_free(_data->server_context._buffer[_t9_array_iter].context_data._buffer);
      _flick_abort155:
        if ((unsigned int )_t9_array_iter < _data->server_context._length)
          goto _flick_abort165;
        goto _flick_abort154;
      }
    }
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_decode_unsigned32(4, _data->reply_status, CORBA_enum );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort154:
    CORBA_flick_free(_data->server_context._buffer);
  _flick_abort141:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort168);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort168:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort169);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort169:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort170);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_encode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  flick_suntcp_encode_new_glob(1 * _data->object_key._length, _flick_abort170);
  flick_suntcp_encode_new_chunk(1 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_encode_end_glob(1 * _data->object_key._length);
  flick_suntcp_encode_new_glob(3, _flick_abort170);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort170:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort173);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_decode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  flick_suntcp_decode_new_glob(1 * _data->object_key._length);
  flick_suntcp_check_span(1 * _data->object_key._length * 1, _flick_abort173);
  flick_suntcp_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->object_key._length + 1) * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort173);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length + 1;
    _data->object_key._release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_decode_end_glob(1 * _data->object_key._length);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort176);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort176:
    CORBA_flick_free(_data->object_key._buffer);
  _flick_abort173:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort177);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort177:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort178);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort178:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort179);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_encode_unsigned32(4, _data->locate_status, CORBA_enum );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort179:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort180);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned32(0, _data->request_id, CORBA_unsigned_long );
  flick_xdr_decode_unsigned32(4, _data->locate_status, CORBA_enum );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort180:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
  flick_unsigned32_t _t10_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->host, flick_unsigned32_t , _t10_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort181);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_char8(0, _data->iiop_version.major, CORBA_char );
  flick_xdr_encode_char8(4, _data->iiop_version.minor, CORBA_char );
  flick_xdr_encode_unsigned32(8, _t10_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  flick_suntcp_encode_new_glob(1 * _t10_temp_string_len, _flick_abort181);
  flick_suntcp_encode_new_chunk(1 * _t10_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->host, 1 * _t10_temp_string_len);
  flick_suntcp_encode_end_chunk(1 * _t10_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t10_temp_string_len);
  flick_suntcp_encode_new_glob(11, _flick_abort181);
  flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_encode_unsigned16(0, _data->port, CORBA_unsigned_short );
  flick_xdr_encode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(11);
  flick_suntcp_encode_new_glob(1 * _data->object_key._length, _flick_abort181);
  flick_suntcp_encode_new_chunk(1 * _data->object_key._length);
  flick_xdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_encode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_encode_end_glob(1 * _data->object_key._length);
  flick_suntcp_encode_new_glob(3, _flick_abort181);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort181:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_unsigned32_t _t11_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort186);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_char8(0, _data->iiop_version.major, CORBA_char );
  flick_xdr_decode_char8(4, _data->iiop_version.minor, CORBA_char );
  flick_xdr_decode_unsigned32(8, _t11_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  flick_suntcp_decode_new_glob(1 * _t11_temp_string_len);
  flick_suntcp_check_span(1 * _t11_temp_string_len * 1, _flick_abort186);
  flick_suntcp_decode_new_chunk(1 * _t11_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t11_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort186);
    _data->host = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->host, 1 * _t11_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t11_temp_string_len);
  flick_suntcp_decode_end_glob(1 * _t11_temp_string_len);
  flick_suntcp_decode_new_glob(11);
  flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
  flick_suntcp_check_span(8, _flick_abort189);
  _data->host[_t11_temp_string_len] = 0;
  flick_xdr_decode_unsigned16(0, _data->port, CORBA_unsigned_short );
  flick_xdr_decode_unsigned32(4, _data->object_key._length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(11);
  flick_suntcp_decode_new_glob(1 * _data->object_key._length);
  flick_suntcp_check_span(1 * _data->object_key._length * 1, _flick_abort189);
  flick_suntcp_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA_octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_octet *)(CORBA_flick_alloc((_data->object_key._length + 1) * sizeof(CORBA_octet )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort189);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length + 1;
    _data->object_key._release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_suntcp_decode_end_chunk(1 * _data->object_key._length);
  flick_suntcp_decode_end_glob(1 * _data->object_key._length);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_check_span(0, _flick_abort192);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort192:
    CORBA_flick_free(_data->object_key._buffer);
  _flick_abort189:
    CORBA_flick_free(_data->host);
  _flick_abort186:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

