#include "optional-4-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROG;
	s.vers_num = VERS;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned32_t _t0_temp_array_len;

  flick_sun_ptr_not_nil(int *, *_data, flick_unsigned32_t , _t0_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_temp_array_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(4);
  if (_t0_temp_array_len)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, **_data, int );
      flick_suntcp_encode_end_chunk(4);
      goto _flick_label1;
      {
        goto _flick_abort0;
      }
    }
  else
    {
      goto _flick_label1;
      {
        goto _flick_abort0;
      }
    }
_flick_label1:
  ;
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned32_t _t1_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t1_temp_array_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(4);
  if (_t1_temp_array_len)
    {
      {
        int *_t_alloc_ptr;

        _t_alloc_ptr = (int *)(sun_flick_alloc(sizeof(int )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14);
        *_data = _t_alloc_ptr;
      }
      flick_suntcp_check_span(4, _flick_abort15);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, **_data, int );
      flick_suntcp_decode_end_chunk(4);
      goto _flick_label3;
      {
      _flick_abort15:
        sun_flick_free(*_data);
      _flick_abort14:
        goto _flick_abort8;
      }
    }
  else
    {
      *_data = 0;
      goto _flick_label3;
      {
        goto _flick_abort8;
      }
    }
_flick_label3:
  ;
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t7_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_check_span(24, _flick_abort20);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t7_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t7_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t8_ignore;
            opt_int *_return;
            int *_local_arg;
            int _t9_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort46);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t8_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t8_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t8_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t8_ignore, unsigned int );
            _return = 0;
            _local_arg = (int *)(&_t9_storage);
            flick_xdr_decode_signed32(16, *_local_arg, int );
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort46);
              flick_suntcp_encode_new_glob(12, _flick_abort46);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t11_temp_array_len;

                    flick_sun_ptr_not_nil(int *, *_return, flick_unsigned32_t , _t11_temp_array_len);

                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_unsigned32(0, _t11_temp_array_len, flick_unsigned32_t );
                    flick_suntcp_encode_end_chunk(4);
                    if (_t11_temp_array_len)
                      {
                        flick_suntcp_encode_new_chunk(4);
                        flick_xdr_encode_signed32(0, **_return, int );
                        flick_suntcp_encode_end_chunk(4);
                        goto _flick_label11;
                        {
                          goto _flick_abort58;
                        }
                      }
                    else
                      {
                        goto _flick_label11;
                        {
                          goto _flick_abort58;
                        }
                      }
                  _flick_label11:
                    ;
                    flick_suntcp_encode_end_glob(12);
                    break;
                    {
                    _flick_abort58:
                      goto _flick_abort46;
                    }
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort66);
                    break;
                    {
                    _flick_abort66:
                      goto _flick_abort46;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
                    flick_suntcp_encode_end_glob(12);
                    break;
                    {
                    _flick_abort67:
                      goto _flick_abort46;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort46:
              goto _flick_abort45;
            }
          }
          break;
          {
          _flick_abort45:
            goto _flick_abort20;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort20:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort19);
  _flick_abort19:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

