#include "struct-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = PROG;
	s.vers_num = VERS;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort0);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->one, int );
  flick_xdr_encode_signed32(4, _data->two, int );
  flick_xdr_encode_signed32(8, _data->three, int );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort1);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->one, int );
  flick_xdr_decode_signed32(4, _data->two, int );
  flick_xdr_decode_signed32(8, _data->three, int );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t3_switch_tag;

    flick_suntcp_decode_new_glob(32);
    flick_suntcp_check_span(32, _flick_abort4);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t3_switch_tag, signed int );
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t4_ignore;
            int *_return;
            struct bar *_local_arg;
            struct bar _t5_storage;

            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort16);
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(28);
            flick_xdr_decode_unsigned32(0, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(4, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(8, _t4_ignore, unsigned int );
            flick_xdr_decode_unsigned32(12, _t4_ignore, unsigned int );
            _return = 0;
            _local_arg = (struct bar *)(&_t5_storage);
            flick_xdr_decode_signed32(16, _local_arg->one, int );
            flick_xdr_decode_signed32(20, _local_arg->two, int );
            flick_xdr_decode_signed32(24, _local_arg->three, int );
            flick_suntcp_decode_end_chunk(28);
            flick_suntcp_decode_end_glob(32);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort16);
              flick_suntcp_encode_new_glob(8, _flick_abort16);
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_suntcp_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_suntcp_encode_new_chunk(4);
                    flick_xdr_encode_signed32(0, *_return, int );
                    flick_suntcp_encode_end_chunk(4);
                    flick_suntcp_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_suntcp_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, xdr, suntcp, _flick_abort22);
                    break;
                    {
                    _flick_abort22:
                      goto _flick_abort16;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort23);
                    flick_suntcp_encode_end_glob(8);
                    break;
                    {
                    _flick_abort23:
                      goto _flick_abort16;
                    }
                  }
                }
            }
            flick_suntcp_server_end_encode();
            break;
            {
            _flick_abort16:
              goto _flick_abort15;
            }
          }
          break;
          {
          _flick_abort15:
            goto _flick_abort4;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort4);
          flick_suntcp_decode_end_glob(32);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort4:
    flick_sun_server_error(xdr, suntcp, _flick_reaper, _flick_abort3);
  _flick_abort3:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

