#ifndef _complex_server_h_
#define _complex_server_h_

#define FLICK_PROTOCOL_TRAPEZE_ONC
#include <flick/link/trapeze.h>
#include <flick/encode/xdr.h>
#include <errno.h>

#include <flick/pres/sun.h>

#ifndef _typedef___person
#define _typedef___person
typedef struct person {
  char *name;
} person;
#endif /* _typedef___person */

int flick_marshal_stub_person(flick_marshal_stream_t _stream, struct person *_data);

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data);

#ifndef _typedef___people
#define _typedef___people
typedef struct {
  unsigned int people_len;
  struct person *people_val;
} people;
#endif /* _typedef___people */

int flick_marshal_stub_people(flick_marshal_stream_t _stream, people *_data);

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data);

#define PROGNAME ((unsigned long int) 54321)

#define VERSNAME ((unsigned long int) 2)

extern flick_dispatch_t progname_2;

#define op ((unsigned long int) 1)

void *op_2(people *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#endif /* _complex_server_h_ */
